com.rscja.team.qcom.deviceapi

## Class DeviceAPI

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.DeviceAPI

-     public final class DeviceAPI
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.FileDescriptor` | `mFd`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `A4OptoCoupler3Off(java.lang.String device)`
    `int` | `A4OptoCoupler3On(java.lang.String device)`
    `int` | `A4OptoCoupler4Off(java.lang.String device)`
    `int` | `A4OptoCoupler4On(java.lang.String device)`
    `int` | `A4WgData0Off(java.lang.String device)`
    `int` | `A4WgData0On(java.lang.String device)`
    `int` | `A4WgData1Off(java.lang.String device)`
    `int` | `A4WgData1On(java.lang.String device)`
    `int` | `A8UhfOutput3Off(java.lang.String device)`
    `int` | `A8UhfOutput3On(java.lang.String device)`
    `int` | `A8UhfOutput4Off(java.lang.String device)`
    `int` | `A8UhfOutput4On(java.lang.String device)`
    `int` | `Auth_ActiveFile(byte transmode, byte[] deviceid, byte[] reverse, byte[] transbuf)`
    `int` | `Auth_CertificationChain(byte level, byte levels, int len, byte[] buf)`
    `byte[]` | `Auth_RequestRandom()`
    `int` | `Auth_SendData(byte[] hrandom, byte[] srandom, byte[] devid, byte[] reserve, byte[] signature, int certlen, byte[] certbuf)`
    `byte[]` | `Auth_UserInfo(byte[] jprovince, byte[] jcity, byte[] jjw, byte[] jusage, byte[] jtype1, byte[] jcom_name, byte[] jpeople, byte[] jtel1, byte[] jtel2, byte[] jemail, byte[] jdata, byte[] jps)`
    `int` | `Barcode_1D_Close(java.lang.String device)`
    `int` | `Barcode_1D_Open(java.lang.String device, java.lang.String uart, int baudrate)`
    `byte[]` | `Barcode_1D_Scan(java.lang.String device)`
    `void` | `Barcode_1D_SetTimeOut(int device)`
    `int` | `Barcode_1D_StopScan(java.lang.String device)`
    `int` | `Barcode_2D_Close(java.lang.String device)`
    `int` | `Barcode_2D_Open(java.lang.String device, java.lang.String uart, int baudrate)`
    `byte[]` | `Barcode_2D_Scan(java.lang.String device)`
    `void` | `Barcode_2D_SetTimeOut(int time)`
    `int` | `Barcode_2D_StopScan(java.lang.String device)`
    `int` | `bdOff(java.lang.String device)`
    `int` | `bdOn(java.lang.String device)`
    `byte[]` | `CardBalance()`
    `byte[]` | `CardConsume(byte[] time, char[] money, java.lang.String path, int islog)`
    `byte[]` | `CardConsumeConfirm(byte[] timer, char[] carddealnum, char[] cardnum)`
    `void` | `CleanVar()`
    `byte[]` | `Config_GetAccess()`
    `byte[]` | `Config_GetPara(int type)`
    `byte[]` | `Config_ReadRTC()`
    `int` | `Config_SetPara(int type, byte len, byte[] data)`
    `int` | `Config_SetRTC(byte[] RTC)`
    `int` | `Config_SetWorkMode(byte nums, byte[] modebuf)`
    `int` | `ConfigFDXTag(char[] cidbuf, char[] nidbuf)`
    `void` | `DAJfingerCancelUPImage()`
    `int` | `DAJfingerCLEARTemplate()`
    `int` | `DAJfingerCLEARTemplateBuffer()`
    `int` | `DAJfingerDELTemplate(char flag, char[] pBufferIDFlashPageID)`
    `int` | `DAJfingerDOWNTemplate(char flag, char[] pBufferIDFlashPageID, char[] templateData)`
    `int` | `DAJFingerFree(java.lang.String device)`
    `int` | `DAJfingerGETImage()`
    `char[]` | `DAJfingerGETInfo()`
    `int` | `DAJfingerGETTemplateCount()`
    `int` | `DAJFingerInit(java.lang.String device, java.lang.String uart, int baudrate)`
    `int` | `DAJfingerPKTemplate(char flagA, char[] pBufferIDFlashPageIDA, char flagB, char[] pBufferIDFlashPageIDB)`
    `char[]` | `DAJfingerSearchTemplate(char[] ramBufferId, char[] templateIdStart, char[] templateIdEnd)`
    `int` | `DAJfingerStoreChar(char flag, char[] pBufferIDFlashPageID)`
    `int` | `DAJfingerUPImage(byte part, byte[] img_buf)`
    `int` | `DAJfingerUPImageProgress()`
    `char[]` | `DAJfingerUPTemplate(char flag, char[] pBufferIDFlashPageID)`
    `char[]` | `EM_25kread()` 读半双工的动物标签 ************************ 输出参数：pszData-- 16字节动物标签数据
    `int` | `EM125k_free(java.lang.String device)`
    `char[]` | `EM125K_GetEm4450UID()`
    `int` | `EM125k_init_Ex(java.lang.String device, java.lang.String uart, int baudrate)`
    `int` | `EM125k_init(java.lang.String device, java.lang.String uart, int baudrate)`
    `char[]` | `EM125k_read_Ex()`
    `char[]` | `EM125k_read(int iMode)`
    `char[]` | `EM125k_Read4305(int nPage)` 读EM4305卡 ******************************** 功能描述：读4305卡的某一页（0~31）数据 输入参数：nPage -- 页地址(0~31) 第0、3、5~13页可读可写，可供用户存储数据使用 第1页为UID存储区，只读 第2页为密码区 第4页为参数配置区域 第14、15页为保护区 输出参数：pszData-- 4字节数据（每页可存放4字节）
    `char[]` | `EM125k_ReadHitag(int nPage)`
    `char[]` | `EM125k_ReadHitag1()`
    `char[]` | `EM125k_UID_REQ()`
    `int` | `EM125k_Write4305(int nPage, char[] pszData)` 写EM4305卡 ******************************** 功能描述：写4305卡的某一页（0~31）数据 输入参数：nPage -- 页地址(0~31) 第0、3、5~13页可读可写，可供用户存储数据使用 第1页为UID存储区，只读 第2页为密码区 第4页为参数配置区域 第14、15页为保护区 pszData-- 4字节数据（每页可存放4字节）
    `int` | `EM125k_WriteHitagPage(int nPage, char[] pszData)`
    `byte[]` | `EM4325SensorData(char uBank, int uMSA, int uMDL, char[] pszuData)`
    `int[]` | `EMAutoEnroll(int nTime, int UserID)`
    `int[]` | `EMAutoMatch(int nFlag, int StartPage, int PageNum)`
    `int` | `EMDeletChar(int PageID, int nNum)`
    `int` | `EMDownChar(int BuffID, char[] pszData)`
    `int` | `EMEmpty()`
    `int` | `EMFingerFree(java.lang.String device)`
    `int` | `EMFingerInit(java.lang.String device, java.lang.String uart, int baudrate)`
    `int` | `EMFingerMoudleSet(int type)`
    `int` | `EMGenChar(int GenID)`
    `int` | `EMGetImage()`
    `char[]` | `EMGetRandomData()`
    `int` | `EMLoadChar(int BuffID, int PageID)`
    `int[]` | `EMMatch()`
    `char[]` | `EMReadChipSN()`
    `char[]` | `EMReadSysPara()`
    `char[]` | `EMReadSysParaMore()`
    `int` | `EMRegModel()`
    `int[]` | `EMSearch(int BuffID, int StartPage, int PageNum)`
    `int` | `EMSetDeviceName(char[] DeviceName)`
    `int` | `EMSetManuFacture(char[] NameInfo)`
    `int` | `EMSetPSW(char[] PassWord)`
    `int` | `EMSetReg(int RegID, int nValue)`
    `int` | `EMStorChar(int BuffID, int PageID)`
    `char[]` | `EMUpChar(int BuffID)`
    `int[]` | `EMUpImage(int Mode, java.lang.String lpFileName)`
    `int[]` | `EMUpImageISO(int Mode, java.lang.String lpFileName)`
    `int[]` | `EMValidTempleteNum()`
    `int` | `EMVfyPSW(char[] PassWord)`
    `int` | `EventReport()`
    `int` | `FactoryReset()`
    `int` | `FingerprintSwitchUart(java.lang.String device)`
    `int` | `FingerprintSwitchUsb(java.lang.String device)`
    `byte[]` | `fips_encryption_decryption_EX(byte[] jinbuf, int jdlen, byte[] jkeybuf, int keylen, byte jmode, java.lang.Object mContext, int type)`
    `byte[]` | `fips_encryption_decryption(byte[] jinbuf, int jdlen, byte[] jkeybuf, int keylen, byte jmode)`
    `void` | `GetAccState()`
    `char[]` | `GetGen2()`
    `static DeviceAPI` | `getInstance()`
    `int` | `GetLastError()`
    `byte[]` | `getPsamId()`
    `char[]` | `GetQTPara()`
    `int` | `getSN(byte[] data)`
    `char[]` | `GetTemperature()`
    `int` | `HardwareFree(java.lang.String device, int module)`
    `int` | `HardwareInit(java.lang.String device, int module, java.lang.String path, int baudrate, int databits, int stopbits, int check)`
    `int` | `HardwareSerailClose(int uart_fd)`
    `int` | `HardwareSerailOpen(java.lang.String jpath, int baudrate, int databits, int stopbits, int check)`
    `int` | `HardwareSerailReceive(int uart_fd, byte[] joutbuf, int outbuffLen)`
    `int` | `HardwareSerailSend(int uart_fd, byte[] jdata, int jlen)`
    `int` | `HardwareSerailSendAndReceive(int uart_fd, byte[] sendjdata, int sendjlen, byte[] outjdata, int outjlen)`
    `char[]` | `HardwareVersion_125k()`
    `int` | `HID_GetUid()`
    `byte[]` | `Infared_IDPOWER()`
    `byte[]` | `Infared_IDPOWER07()`
    `int` | `Infrared_Close(java.lang.String device)`
    `int` | `Infrared_Open(java.lang.String device, java.lang.String uart, int baudrate, int databits, int stopbits, int check)`
    `byte[]` | `infrared_read()`
    `int` | `Infrared_SwitchSerialPort(java.lang.String device, java.lang.String uart, int baudrate, int databits, int stopbits, int check)`
    `int` | `infrared_write(byte[] data, int len)`
    `void` | `ioctl_gpio(java.lang.String device, int gpio, int on)`
    `int` | `ISO14443A_authentication(int iMode, int iBlock, char[] pszKey, int iLenKey)` ISO14443A_authentication 验证A卡秘钥 传入参数：1）iMode密钥验证模式 0 为验证A密钥；1为验证B密钥 2）iBlock要验证密钥的绝对块号 块号范围 0~633）pszKey密钥内容4）iLenKey密钥长度 最大长度为6字节 返回值：0为成功，非0为失败状态码
    `char[]` | `ISO14443A_BUS_CMD(char[] jtxtimebuf, char[] jtxuidbuf, int jtxuidnum, int jtxflag)`
    `char[]` | `ISO14443A_cpu_command(char[] pszCOS, int iLenCOS)` ISO14443A_cpu_command CPU卡 T=CL发送COS指令 传入参数：1）pszCOS传输的COS指令内容2）iLenCOS 传输的COS指令内容长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为CPU卡返回的COS指令内容
    `char[]` | `ISO14443A_cpu_rats()` ISO14443A_cpu_rats CPU卡RATS操作指令（TYPE A类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的rats操作数据
    `char[]` | `ISO14443A_cpu_reset()` ISO14443A_cpu_reset CPU卡复位操作指令（TYPE A类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的reset操作数据
    `int` | `ISO14443A_decrement(int iBlockValue, int iBlockResult, int iValue)` ISO14443A_decrement 电子钱包扣费 传入参数：1）iBlockValue当前金额所在块 2）iBlockResult扣值后剩余金额保存的块3）iValue金额返回值：0为成功，非0为失败状态码
    `int` | `ISO14443A_increment(int iBlockValue, int iBlockResult, int iValue)` ISO14443A_increment 电子钱包充值 传入参数：1）iBlockValue当前金额所在块2）充值后剩余金额保存的块 3）iValue金额返回值：0为成功，非0为失败状态码
    `int` | `ISO14443A_initval(int iBlock, int iValue)` ISO14443A_initval 电子钱包初始化 传入参数：1）iBlock要写入数据的绝对块号 块号范围 0~632）iValue 初始金额 返回值：0为成功，非0为失败状态码
    `char[]` | `ISO14443A_mifareone_alldata_read(int iBlock, char[] pszKey)`
    `char[]` | `ISO14443A_read(int iBlock)` ISO14443A_read 读取电子标签内容 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2）如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始是读到的的内容
    `int[]` | `ISO14443A_readval(int iBlock)` ISO14443A_readval 读取电子钱包余额 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)第1个元素是读取到的余额
    `byte[]` | `ISO14443A_request(java.lang.String device, int iMode)` ISO14443A_request 获取A卡ID号 传入参数：1）device 设备类型 "C3000"或者"C4000"2）iMode 0呼叫未进入休眠状态的标签，1呼叫所有的标签返回值：数组形式返回，1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2）如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第二个元素开始的数据格式为： ATQA(2Byte)+UID长度(1Byte)+UID[]+SAK 判断卡片类型通过
    `int` | `ISO14443A_restore(int iBlock)` ISO14443A_restore 将EEPROM中的内容 传入卡的内部寄存器传入参数：1）iBlockValue当前金额所在块 返回值：0为成功，非0为失败状态码
    `int` | `ISO14443A_transfer(int iBlock)` ISO14443A_transfer 将寄存器的内容传送到EEPROM中； 传入参数：1）iBlockValue当前金额所在块 返回值：0为成功，非0为失败状态码
    `char[]` | `ISO14443A_ul_read(int iBlock)` ISO14443A_ul_read 读取电子标签内容 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2）如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始是读到的的内容
    `int` | `ISO14443A_ul_write(int iBlock, char[] pszData, int iLenData)` ISO14443A_ul_write 将指定内容写入电子标签 传入参数：1）iBlock 写入数据的绝对块号 （0-3块不能写入数据） 2)*pszData 写入的数据信息3)iLenData 写入数据信息的长度(4Byte)返回值：0为成功，非0为失败状态码
    `int` | `ISO14443A_write(int iBlock, char[] pszData, int iLenData)` ISO14443A_write 将指定内容写入电子标签中 传入参数：1）iBlock要写入数据的绝对块号 块号范围 0~63 2）pszData要写入的数据内容3）要写入的数据内容的长度返回值：0为成功，非0为失败状态码
    `char[]` | `ISO14443B_cpu_command(char[] pszCOS, int iLenCOS)` ISO14443B_cpu_command CPU卡 T=CL发送COS指令 传入参数：1）pszCOS传输的COS指令内容2）iLenCOS 传输的COS指令内容长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为CPU卡返回的COS指令内容
    `char[]` | `ISO14443B_cpu_reset()` ISO14443B_cpu_reset CPU卡复位操作指令（TYPE B类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的reset操作数据
    `char[]` | `ISO14443B_UID()`
    `char[]` | `ISO15693_GenericFunction(char Command, char[] jdatabuf, char jdatalen)`
    `char[]` | `ISO15693_GenericFunctionEx(char jCommand, char jIcMfg, char[] jdatabuf, char jdatalen)`
    `char[]` | `ISO15693_getMultipleBlockSecurityStatus(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum)` ISO15693_getMultipleBlockSecurityStatus 获取多块安全状态 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID3）iLenUID：UID长度4）Startblock：起始块号 5）blocknum：一共读取块数返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为多块安全状态信息
    `char[]` | `ISO15693_getSystemInformation(int iMode, char[] pszUID, int iLenUID)` ISO15693_getSystemInformation 获取电子标签信息 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签 2）pszUID：UID3）iLenUID：UID长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为电子标签信息
    `char[]` | `ISO15693_inventory(int iMode, int iAFI)` ISO15693_inventory 读取卡片UID 传入参数：1）iMode 0 多张卡呼叫 不带AFI，1 单张卡呼叫 不带AFI，2 多张卡呼叫 带AFI ，3 单张卡呼叫 带AFI2）iAFI AFI值 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为15693卡的ID号
    `int` | `ISO15693_lockAFI(int iMode, char[] pszUID, int iLenUID)` ISO15693_lockAFI 锁AFI 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度返回值：0成功，非0状态码
    `int` | `ISO15693_lockBlock(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum)` ISO15693_lockBlock 锁定数据块 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）Startblock：起始块号5）blocknum：一共写入多少块返回值：0成功，非0状态码
    `int` | `ISO15693_lockDSFID(int iMode, char[] pszUID, int iLenUID)` ISO15693_lockDSFID 锁DSFID 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度返回值：0成功，非0状态码
    `char[]` | `ISO15693_read_sm_ex(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum)`
    `char[]` | `ISO15693_read_sm(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum)` ISO15693_read_sm 读取卡片内部数据 传入参数： 1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签 2）pszUID：UID 3）iLenUID：UID长度 4）Startblock：起始块号 5）Blocknum：一共读取多少块（1-10） 返回值： 1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为读到的数据内容
    `char[]` | `ISO15693_transferCommand(char[] pszCmd, int iComLen)` ISO15693_transferCommand 15693透传函数 传入参数：1）UINT8 *pszCmd传输的指令内容2）iComLen 指令长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为卡片返回的响应数据
    `int` | `ISO15693_write_sm_ex(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum, char[] pszData, int iWriteLen)`
    `int` | `ISO15693_write_sm(int iMode, char[] pszUID, int iLenUID, int startblock, int blocknum, char[] pszData, int iWriteLen)` ISO15693_write_sm 向卡片内部写入数据 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）Startblock：起始块号5）blocknum：一共写入多少块6）pszData 写入的数据信息 7）iWriteLen：写入的数据长度返回值：0成功，非0状态码
    `int` | `ISO15693_writeAFI(int iMode, char[] pszUID, int iLenUID, int iAFI)` ISO15693_writeAFI 写AFI 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）iAFI：AFI内容返回值：0成功，非0状态码
    `int` | `ISO15693_writeDSFID(int iMode, char[] pszUID, int iLenUID, int iDSFID)` ISO15693_writeDSFID 写DSFID 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）iDSFID：DSFID内容返回值：0成功，非0状态码
    `int` | `LedOff(java.lang.String device, int led)`
    `int` | `LedOn(java.lang.String device, int led)`
    `int` | `ModuleFree(java.lang.String device)`
    `int` | `ModuleInit(java.lang.String device, java.lang.String path, int baudrate, int module)`
    `int` | `ModuleInitEX(java.lang.String device, java.lang.String path, int baudrate, int module, int databits, int stopbits, int check)`
    `int` | `ModulePowerOff(java.lang.String device, int module)`
    `int` | `ModulePowerOn(java.lang.String device, int module)`
    `byte[]` | `ModuleReceive()`
    `byte[]` | `ModuleReceiveEx()`
    `int` | `ModuleSend(byte[] data, int len)`
    `int` | `ModuleSendAndReceive(byte[] send, int sendLen, byte[] outData, int outLen)`
    `int` | `MorphoCancel()`
    `byte[]` | `MorphoCapture(char flag, char encryptflag)`
    `byte[]` | `MorphoCapturePKComp(char processflag, char encryptflag)`
    `byte[]` | `MorphoDescriptor()`
    `int` | `MorphoEnroll(char flag, char[] id, char[] name, java.lang.String lpFileName, int getImage)`
    `int` | `MorphoEraseAllBase()`
    `int` | `MorphoFingerFree(java.lang.String device)`
    `int` | `MorphoFingerInit(java.lang.String device, java.lang.String uart, int baudrate)`
    `int` | `MorphoFingerMessage()`
    `int` | `MorphoGetSecurityLevel()`
    `int` | `MorphoGrab(char var1, java.lang.String imgName)`
    `byte[]` | `MorphoIdentify(char flag)`
    `int` | `MorphoLoadKs(byte[] keybuf)`
    `byte[]` | `MorphoPIDSN()`
    `int` | `MorphoSetSecurityLevel(int level)`
    `int` | `MorphoStop()`
    `byte[]` | `MorphoVerifyPKComp(char processflag, byte[] jfgbuf, int jfglen)`
    `int` | `OpenSerail(java.lang.String path, int baudrate, int databits, int stopbits, int check)`
    `int` | `OTG_GPIO_OFF(java.lang.String device)`
    `int` | `OTG_GPIO_ON(java.lang.String device)`
    `int` | `POWER_LED_OFF(java.lang.String device)`
    `int` | `POWER_LED_ON(java.lang.String device)`
    `int` | `PrinterFree(java.lang.String device)`
    `int` | `PrinterInit(java.lang.String device, java.lang.String path, int baudrate, int module, int isUpgrade)`
    `int` | `PrinterReceive(byte[] joutData, int jsendLeng)`
    `int` | `PrinterSend(byte[] jsend, int jsendLeng)`
    `int` | `PrinterSendAndReceive(byte[] sendjdata, int sendjlen, byte[] outjdata, int outjlen, int delayS)`
    `int` | `PrinterSerialPortOpen(java.lang.String device, java.lang.String path, int baudrate)`
    `byte[]` | `Psam_Cmd(java.lang.String device, char cmd, char[] cmddata, int cmdlen)`
    `int` | `Psam_Free(java.lang.String device)`
    `int` | `Psam_Init(java.lang.String device)`
    `int` | `Psam_InitXy(java.lang.String device)`
    `int` | `PSAM_UPDATE(int jpackage_sum_number, int jpackage_which_number, int pszData_len, byte[] pszData)`
    `int` | `PTCapture(char index)`
    `byte[]` | `PTConvertTemplateEx(byte iCounts, byte jtarget_type, byte[] srcbuf, int jsrclen)`
    `int` | `PTDeleteAllFingers(char index)`
    `int` | `PTEnroll(char index)`
    `int` | `PTExit(java.lang.String device)`
    `byte[]` | `PTGetAppData(char index)`
    `int` | `PTGrab(char index)`
    `int` | `PTGUICancel(char index)`
    `byte[]` | `PTInfo(char index)`
    `int` | `PTInit(java.lang.String device, java.lang.String uart)`
    `byte[]` | `PTListAllFingers(char index)`
    `byte[]` | `PTResponseContinue(char index)`
    `int` | `PTSetAppData(char index, char[] data, char len)`
    `int` | `PTStoreFinger(byte iCounts, byte[] templateData)`
    `byte[]` | `PTTLSFContinue(char index)`
    `int` | `PTVerify(char index, char[] data, int len)`
    `int` | `PTVerifyALL(char index)`
    `int` | `R2000_FreHopSet(int fre)`
    `int` | `R2000_OPENMODE()`
    `int` | `Request_WriteSpecialPart(int len, byte[] buf)`
    `int` | `Requset_ReadPart(byte speed, byte des, byte flag, byte partnum, byte ptr, byte len)`
    `int` | `Requset_WritePart(byte[] tid, byte num, byte startaddr, byte len, byte[] buf)`
    `int` | `RF_ISO14443A_DESFIRE_AddApp(char[] AppId, int KeySetting, int FileNums)`
    `int` | `RF_ISO14443A_DESFIRE_AddStdFile(int FileNo, int CommSet, char[] AccessRight, int FileSize)`
    `int` | `RF_ISO14443A_DESFIRE_AddValueFile(int FileNo, int CommSet, char[] AccessRights, int MinValue, int MaxValue, int InitValue)`
    `int` | `RF_ISO14443A_DESFIRE_Auth(int KeyNo, char[] KeyBuf, int KeyLen)`
    `int` | `RF_ISO14443A_DESFIRE_ChangeFileSetting(int FileNo, int CommSet, char[] AccessRights)`
    `int` | `RF_ISO14443A_DESFIRE_ChangeKey(int KeyNo, char[] KeyBuf, int KeyLen)`
    `int` | `RF_ISO14443A_DESFIRE_ChangeKeySetting(int KeySetting)`
    `void` | `RF_ISO14443A_DESFIRE_Cpysel(int cpyType)`
    `int` | `RF_ISO14443A_DESFIRE_CreditValueFile(int FileNo, int CreValue)`
    `int` | `RF_ISO14443A_DESFIRE_DebitValueFile(int FileNo, int DeValue)`
    `int` | `RF_ISO14443A_DESFIRE_DelApp(char[] AppId)`
    `int` | `RF_ISO14443A_DESFIRE_DelFile(int FileNo)`
    `int` | `RF_ISO14443A_DESFIRE_FormatCard()`
    `byte[]` | `RF_ISO14443A_DESFIRE_GetApps()`
    `byte[]` | `RF_ISO14443A_DESFIRE_GetFileIds()`
    `byte[]` | `RF_ISO14443A_DESFIRE_GetFileSetting(int FileNo)`
    `char[]` | `RF_ISO14443A_DESFIRE_GetKeySetting()`
    `char[]` | `RF_ISO14443A_DESFIRE_GetPiccInfo()`
    `int[]` | `RF_ISO14443A_DESFIRE_GetValueFile(int FileNo)`
    `int` | `RF_ISO14443A_DESFIRE_RatPss()`
    `char[]` | `RF_ISO14443A_DESFIRE_ReadStdFile(int FileNo, int OffSet, int DataSize)`
    `int` | `RF_ISO14443A_DESFIRE_SelApp(byte[] AppId)`
    `int` | `RF_ISO14443A_DESFIRE_WriteStdFile(int FileNo, int OffSet, int DataSize, char[] DataBuf)`
    `int` | `RFID_free(java.lang.String device)` RFID_free 模块释放
    `byte[]` | `RFID_GetVer()` RFID_GetVer 获取RFID模块硬件版本
    `int` | `RFID_init(java.lang.String device, java.lang.String uart, int baudrate, int isRfOff)` RFID_init 模块初始化
    `int` | `RFID_UPDATE(int jpackage_sum_number, int jpackage_which_number, int pszData_len, byte[] pszData)`
    `int` | `Save24bitFingerprintPicture(java.lang.String jpath, int img_width, int img_height, byte[] jRawBuff, int jRawBuffLen)`
    `void` | `ScanerLed_Free(java.lang.String device)`
    `void` | `ScanerLed_Init(java.lang.String device)`
    `void` | `ScanerLed_Off(java.lang.String device)`
    `void` | `ScanerLed_On(java.lang.String device)`
    `int` | `SerailClose(java.lang.String device)`
    `int` | `SerailOpen(java.lang.String device, java.lang.String path, int baudrate, int module, int check)`
    `int` | `SetConfig(byte[] jbuf)`
    `int` | `SetGen2(char Target, char Action, char T, char Q, char StartQ, char MinQ, char MaxQ, char D, char C, char P, char Sel, char Session, char G, char LF)`
    `int` | `SetInventoryFixed(int freq)`
    `int` | `SetInventorySper()`
    `int` | `SetInventorySper(int flag)`
    `int` | `SetQTPara(char pszData)`
    `int` | `SetTestMode()`
    `void` | `spClose()` 关闭串口
    `int` | `SpiFree(java.lang.String device)`
    `int` | `SpiInit(java.lang.String device)`
    `int` | `SpiRead(byte[] OutData, int len)`
    `int` | `SpiWrite(byte[] sendData, int len)`
    `java.io.FileDescriptor` | `spOpen(java.lang.String path, int baudrate, int flags)` 打开串口
    `byte[]` | `TransBuf(byte oper, int len, byte[] jbuf)`
    `byte[]` | `TransData(byte[] tbuf, int tlen, byte flag)`
    `int` | `UartSwitch(java.lang.String device, int module)`
    `void` | `UHF706_CloseAndDisconnect()`
    `int` | `UHF706_OpenAndConnect(java.lang.String path)`
    `byte[]` | `UHFAuthenticateCommon(int password, int bank, int addr, byte[] jmData, int mDataBitsLen, int jkeyId, byte[] jtData)`
    `int` | `UHFBlockEraseDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFBlockEraseDataSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, char uBank, int uPtr, char uCnt)`
    `char[]` | `UHFBlockPermalock_Ex(char[] uAccessPwd, char FilterBank, int FilterStartaddr, int FilterLen, char[] FilterData, char ReadLock, char uBank, int uPtr, char uRange, byte[] uMaskbuf)`
    `char[]` | `UHFBlockPermalock(char[] jucppwd, char bank, char startaddr, char datalen, char[] jucpdatabuf, char readlock, char MB, char blockptr, char blockrange, char[] jucpmask)`
    `int` | `UHFBlockWriteData(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] pszuDat, char uBank, int uPtr, int uCnt, char[] pszuWriteData)`
    `int` | `UHFBlockWriteDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFBlockWriteDataSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, char uBank, int uPtr, char uCnt, byte[] writeDatabuf)`
    `int` | `UHFBTAuthentication(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] pszuDat, char uBank, int uPtr, int uCnt, char[] pszuWriteData, char[] rev)`
    `int` | `UHFBTDeleteAllTagToFlash()`
    `int` | `UHFBTDeleteAllTagToFlashRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFBTDeleteAllTagToFlashSendData()`
    `int` | `UHFBTEncReadUser(int jaddr, int jlen, byte[] jdata)`
    `int` | `UHFBTEncWriteUser(int jaddr, int jlen, byte[] jindata)`
    `int` | `UHFBTEndUpdate()`
    `int` | `UHFBTEraseData(char[] pszuAccessPwd, char filterBank, int filterPtr, char filterCnt, char[] filterData, char uBank, int uPtr, int uCnt)`
    `int` | `UHFBTFreHopSet(int fre)`
    `int` | `UHFBTGetAllTagNumFromFlash()`
    `int` | `UHFBTGetAllTagNumFromFlashRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFBTGetAllTagNumFromFlashSendData()`
    `int` | `UHFBTGetBarcode(byte[] outdata)`
    `int` | `UHFBTGetBattery()`
    `int` | `UHFBTGetCW()`
    `int` | `UHFBTGetGen2(byte[] outData)`
    `int` | `UHFBTGetPower()`
    `int` | `UHFBTGetPowerValueRecvData(byte[] inData, int inLen)`
    `int` | `UHFBTGetSendCmd(byte[] cmd)`
    `int` | `UHFBTGetTag(byte[] data, int timeOut)`
    `int` | `UHFBTGetTagDataFromFlash(byte[] outData)`
    `byte[]` | `UHFBTGetTagDataFromFlashRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFBTGetTagDataFromFlashSendData()`
    `int` | `UHFBTInventorySingle(byte[] outData)`
    `int` | `UHFBTKeydataMac(byte[] jkeydata, byte[] jmac)`
    `int` | `UHFBTKill(char[] pszuAccessPwd, char bank, int ptr, int cnt, char[] pszuData)`
    `int` | `UHFBTLockMemEx(char[] pszuAccessPwd, char bank, int ptr, int cnt, char[] pszuData, char[] pszuLockData)`
    `byte[]` | `UHFBTOpen2DRecvData(byte[] inData, int inLen)`
    `int` | `UHFBTR2000Temperature(byte[] outTemper)`
    `int` | `UHFBTR2000Version(byte[] outVersion)`
    `char[]` | `UHFBTReadData(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] ufData, char uBank, int uPtr, char uCnt)`
    `int` | `UHFBTReadEpcTidUserMode(int rev1, int rev2, byte[] outData)`
    `int` | `UHFBTReBootAPP(char flag)`
    `int` | `UHFBTSetBeep(byte flag)`
    `int` | `UHFBTSetBeepRecvData(byte[] inData, int inLen)`
    `int` | `UHFBTSetCW(int flag)`
    `int` | `UHFBTSetEpcTidUserMode(int saveFlag, int memory, int address, int length)`
    `int` | `UHFBTSetGen2(char Target, char Action, char T, char Q, char StartQ, char MinQ, char MaxQ, char D, char C, char P, char Sel, char Session, char G, char LF)`
    `int` | `UHFBTSetPower(byte power)`
    `int` | `UHFBTSetProtocolType(int type)`
    `int` | `UHFBTSetR6Workmode(int mode)`
    `int` | `UHFBTStartInventory()`
    `int` | `UHFBTStartUpdate()`
    `int` | `UHFBTSTM32Version(byte[] outVersion)`
    `int` | `UHFBTStopInventory()`
    `int` | `UHFBTUHFGBTagLock(char[] pszuAccessPwd, char bank, int ptr, int cnt, char[] pszuData, int memory, int config, int action)`
    `int` | `UHFBTUHFGetProtocolType()`
    `int` | `UHFBTUpdateData(byte[] pszuDate)`
    `int` | `UHFBTWriteData(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] pszuDat, char uBank, int uPtr, int uCnt, char[] pszuWriteData)`
    `int` | `UHFCheckOpMode(int mask_bank, int mask_addr, int mask_len, byte[] mask_data)`
    `void` | `UHFCloseAndDisconnect()`
    `int` | `UHFDeactivate(int cmd, char[] pszuAccessPwd, char uBank, int uPtr, int cnt, char[] pszuUii)`
    `int` | `UHFDecryptSM4(char datalen, char[] pszdata, byte[] outdata)`
    `byte[]` | `UHFDecSM4(byte[] jDatabuf, int jDatalen)`
    `byte[]` | `UHFDecUSER(int jaddr, int jlen)`
    `int` | `UHFDwell(int dwell, int count)`
    `int` | `UHFEncryptSM4(char datalen, char[] pszdata, byte[] outdata)`
    `byte[]` | `UHFEncSM4(byte[] jDatabuf, int jDatalen)`
    `int` | `UHFEncUSER(int jaddr, int jlen, byte[] data)`
    `int` | `UHFEraseData(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uUii)`
    `int` | `UHFEraseDataEx(char[] pszuAccessPwd, char filterBank, int filterPtr, char filterCnt, char[] filterData, char uBank, int uPtr, int uCnt)`
    `char[]` | `UHFEraseDataSingle(char[] uAccessPwd, char uBank, int uPtr, char uCnt)`
    `void` | `UHFFlafCrcOff()`
    `void` | `UHFFlagCrcOn()`
    `int` | `UHFFree(java.lang.String device)`
    `int` | `UHFGBTagLock(char[] pszuAccessPwd, char bank, int ptr, int cnt, char[] pszuData, int memory, int config, int action)`
    `int` | `UHFGBTagLockRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGBTagLockSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, char jmemory, char jconfig, char jaction)`
    `int` | `UHFGetANTConnectState(byte[] buf)` 功能：获取天线设置 输出：buf--2bytes, 共16bits,
    `int` | `UHFGetANTPower(byte[] jcapower, int[] jiareturned)`
    `byte[]` | `UHFGetANTRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetANTSendData()` 功能：获取天线设置 输出：buf--2bytes, 共16bits,
    `int` | `UHFGetANTState(byte[] arrAnt)`
    `int` | `UHFGetANTWorkTime(byte antnum, int[] WorkTime)` 功能：获取天线工作时间 输入：antnum -- 天线号 输出：WorkTime -- 工作时间 ，单位ms, 范围 10-65535ms 返回：0：获取成功 -1：获取失败
    `int` | `UHFGetBeep()`
    `char[]` | `UHFGetBID()`
    `int` | `UHFGetBTFrequency()`
    `char[]` | `UHFGetCalibrationData(char[] epc, char antNum, char[] powerValue)`
    `char[]` | `UHFGetCW()`
    `byte[]` | `UHFGetCWRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetCWSendData()`
    `int` | `UHFGetDestIP(byte[] ipbuf, int[] port)`
    `char[]` | `UHFGetEPCTIDMode()`
    `byte[]` | `UHFGetEPCTIDModeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetEPCTIDModeSendData(char rev1, char rev2)`
    `char[]` | `UHFGetEPCTIDUSERAddrLength()` 功能：设置EPC+TID+USER 区地址和长度 输出： char[0] : 状态，0成功 char[1] : 数据长度，5 char[2] 盘点模式： 0x00为盘点EPC； 0x01为盘点EPC+TID； 0x02为EPC+TID+USER char[3] TID地址：盘点TID的起始地址，单位word（2 Byte），模式为0x01时有效 char[4] TID长度：盘点TID的长度，单位word（2 Byte），模式为0x01时有效 char[5] USER地址：盘点USER区的起始地址，单位word（2 Byte），模式为0x02时有效 char[6] USER长度：盘点USER区的长度，单位word（2 Byte），模式为0x02时有效
    `char[]` | `UHFGetEPCTIDUSERMode()`
    `int` | `UHFGetFastInventoryMode(int rev1, int rev2)`
    `char[]` | `UHFGetFrequency_Ex()`
    `char[]` | `UHFGetFrequency()`
    `byte[]` | `UHFGetGen2RecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetGen2SendData()`
    `char[]` | `UHFGetHardwareVersionType()`
    `char[]` | `UHFGetHwType()`
    `char[]` | `UHFGetHwTypeM3()`
    `int` | `UHFGetIoControl(byte[] out)` 功能：获取继电器和 IO 控制输出设置状态 返回值：null -- 执行失败 data：2字节，output1: 0:低电平 1：高电平 output2: 0:低电平 1：高电平
    `int` | `UHFGetIp(byte[] ipbuf, int[] port, byte[] mask, byte[] gate)`
    `byte[]` | `UHFGetIpRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetIpSendData()`
    `byte[]` | `UHFGetMode()`
    `char[]` | `UHFGetMultiDataReceived()`
    `char[]` | `UHFGetOnChipRSSI(char[] epc, char antNum, char[] powerValue)`
    `char[]` | `UHFGetOnChipRSSIAndTempCode(char[] epc, char antNum, char[] powerValue)`
    `char[]` | `UHFGetParam(char type, char[] id)`
    `char[]` | `UHFGetPower()`
    `byte[]` | `UHFGetPowerRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetPowerSendData()`
    `char[]` | `UHFGetProtocolType()`
    `byte[]` | `UHFGetProtocolTypeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetProtocolTypeSendData()`
    `int[]` | `UHFGetPwm()`
    `int` | `UHFGetReaderBeepRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetReaderBeepSendData()`
    `char[]` | `UHFGetReceived_EX_R2000()`
    `char[]` | `UHFGetReceived_EX()`
    `int` | `UHFGetReceived_EX2(byte[] outData)`
    `char[]` | `UHFGetReceived()`
    `byte[]` | `UHFGetRegionRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetRegionSendData()`
    `byte[]` | `UHFGetRFLink()`
    `int[]` | `UHFGetRSSI()`
    `char[]` | `UHFGetSensorCode(char[] epc, char antNum, char[] powerValue)` zjx 20191127 温度标签增加通讯命令 -------- start --------
    `char[]` | `UHFGetSingelMode()`
    `byte[]` | `UHFGetSleepTimeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetSleepTimeSendData()`
    `byte[]` | `UHFGetSM4()`
    `int` | `UHFGETSM4(byte[] mode, byte[] keydata, byte[] lvdata)`
    `byte[]` | `UHFGetSoftwareVersionRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetSoftwareVersionSendData()`
    `byte[]` | `UHFGetSTM32VersionRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetSTM32VersionSendData()`
    `byte[]` | `UHFGetTagfocusRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetTagfocusSendData()`
    `byte[]` | `UHFGetTagsDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetTagsDataSendData()`
    `byte[]` | `UHFGetTemperatureRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFGetTemperatureSendData()`
    `char[]` | `UHFGetTempertureCode(char[] epc, char antNum, char[] powerValue)`
    `char[]` | `UHFGetTempProtectVal()`
    `int` | `UHFGetTempTagReceived(char[] outData)`
    `int` | `UHFGetTempTagReceived2(char[] outData)`
    `int` | `UHFGetTriggerWorkModePara(byte[] input, int[] workTime, int[] waitTime, byte[] receiveMode)`
    `char[]` | `UHFGetVersion()`
    `int` | `UHFGetWorkMode()`
    `int` | `UHFInit(java.lang.String device)`
    `int` | `UHFInitRegFile(int mask_bank, int mask_addr, int mask_len, byte[] mask_data)`
    `int` | `UHFInventory_EX_BankPtrCnt(char flagAnti, char initQ, char bank, char ptr, char cnt)`
    `int` | `UHFInventory_EX_cnt(char flagAnti, char initQ, char cnt)`
    `int` | `UHFInventory_EX(char flagAnti, char initQ)`
    `int` | `UHFInventory(char flagAnti, char initQ)`
    `int` | `UHFInventoryBank(char[] pszData, char bank, int ptr, int len)`
    `int` | `UHFInventoryBID(char flag0, char flag1)`
    `byte[]` | `UHFInventoryRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFInventorySendData()`
    `char[]` | `UHFInventorySingle_EX()`
    `char[]` | `UHFInventorySingle_R2000()`
    `char[]` | `UHFInventorySingle_sf()`
    `char[]` | `UHFInventorySingle_tc(char mode)`
    `char[]` | `UHFInventorySingle()`
    `char[]` | `UHFInventorySingleEPCTIDUSER(int p1, int p2)`
    `byte[]` | `UHFInventorySingleRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFInventorySingleSendData()`
    `int` | `UHFInventoryTempTag(char antNum, char[] powerValue)`
    `int` | `UHFInventoryTempTag2(char antNum, char[] powerValue)`
    `int` | `UHFInventoryTID(char flagAnti, char initQ)`
    `int` | `UHFJump2Boot()`
    `int` | `UHFJump2BootRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFJump2BootSendData(char flag)`
    `int` | `UHFJump2BootSTM32()`
    `int` | `UHFKillTag(char[] uKillPwd, char[] uUii)`
    `int` | `UHFKillTagEx(char[] pszuAccessPwd, char uBank, int uPtr, int uCnt, char[] pszuUii)`
    `int` | `UHFKillTagRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFKillTagSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData)`
    `char[]` | `UHFKillTagSingle(char[] uKillPwd)`
    `int` | `UHFLedOnOff(java.lang.String device, int Id, int on)`
    `int` | `UHFLockMem(char[] uAccessPwd, char[] uLockData, char[] uUii)`
    `int` | `UHFLockMemEx(char[] pszuAccessPwd, char bank, int ptr, int cnt, char[] pszuData, char[] pszuLockData)`
    `char[]` | `UHFLockMemSingle(char[] uAccessPwd, char[] uLockData)`
    `int` | `UHFLockTagRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFLockTagSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, byte[] ulockbuf)`
    `int` | `UHFOpenAndConnect_Ex(java.lang.String uart)`
    `int` | `UHFOpenAndConnect(java.lang.String uart)`
    `char[]` | `UHFReadData_EX(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uTID)`
    `char[]` | `UHFReadData_Ex2(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] ufData, char uBank, int uPtr, int uCnt)`
    `char[]` | `UHFReadData(char[] uAccessPwd, char uBank, int uPtr, int uCnt, char[] uUii)`
    `byte[]` | `UHFReadDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFReadDataSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, char uBank, int uPtr, char uCnt)`
    `char[]` | `UHFReadDataSingle(char[] uAccessPwd, char uBank, int uPtr, char uCnt)`
    `int` | `UHFReadMultiTemp(int jmbank, int jmaddr, int jmlen, byte[] jmdata, int jstart, int jnum, int[] jtotalnum, int[] jreturned, float[] jtemp)`
    `char[]` | `UHFReadQTData_Ex(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] ufData, char uBank, int uPtr, char uCnt)`
    `char[]` | `UHFReadQTData(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uUii)`
    `char[]` | `UHFReadQTDataSingle(char[] uAccessPwd, char uBank, int uPtr, char uCnt)`
    `int` | `UHFReadTagTemp(int mask_bank, int mask_addr, int mask_len, byte[] mask_data, float[] readTemp)`
    `int` | `UHFReadTagVoltage(int jmbank, int jmaddr, int jmlen, byte[] jmdata, float[] jvoltage)`
    `int` | `UHFSetANT(byte saveflag, byte[] buf)` 功能：天线设置 输入：saveflag -- 1:掉电保存， 0：不保存 输入：buf--2bytes, 共16bits, 每bit 置1选择对应天线
    `int` | `UHFSetANT(int saveFlag, char[] temp)`
    `int` | `UHFSetANTPower(int saveflag, byte num, int read_power, int write_power)`
    `int` | `UHFSetANTRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetANTSendData(char saveflag, byte[] buf, int bufLen)` 功能：天线设置 输入：saveflag -- 1:掉电保存， 0：不保存 输入：buf--2bytes, 共16bits, 每bit 置1选择对应天线
    `int` | `UHFSetANTWorkTime(byte antnum, byte saveflag, int WorkTime)` 功能：设置天线工作时间 输入：antnum -- 天线号 输入：saveflag -- 1:掉电保存， 0：不保存 输入：WorkTime -- 工作时间 ，单位ms, 范围 10-65535ms 返回：0：设置成功 -1：设置失败
    `int` | `UHFSetBeep(int mode)`
    `int` | `UHFSetBTFrequency(byte FreMode)`
    `int` | `UHFSetCW(char pszData)`
    `int` | `UHFSetCWRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetCWSendData(char flag)`
    `int` | `UHFSetDestIp(byte[] ipbuf, int port)`
    `int` | `UHFSetEPCTIDMode(char par)`
    `int` | `UHFSetEPCTIDModeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetEPCTIDModeSendData(char saveFlag, char memory, char address, char length)`
    `int` | `UHFSetEPCTIDUSERAddrLength(char mode, char TID_addr, char TID_length, char USER_addr, char USER_length)` 功能：设置EPC+TID+USER 区地址和长度 输入：mode 盘点模式： 0x00为盘点EPC； 0x01为盘点EPC+TID； 0x02为EPC+TID+USER TID_addr TID地址：盘点TID的起始地址，单位word（2 Byte），模式为0x01时有效 TID_length TID长度：盘点TID的长度，单位word（2 Byte），模式为0x01时有效 USER_addr USER地址：盘点USER区的起始地址，单位word（2 Byte），模式为0x02时有效 USER_length USER长度：盘点USER区的长度，单位word（2 Byte），模式为0x02时有效
    `int` | `UHFSetEPCUserMode(char par, int ptr, int len, int save)`
    `int` | `UHFSetFastID(char par)`
    `int` | `UHFSetFastInventoryMode(int on, int save, int type)`
    `int` | `UHFSetFilter_Ex(char flagstore, char bank, int ptr, int len, char[] pszData)`
    `int` | `UHFSetFilter(char flagstore, char uBank, int uPtr, int len, char[] data)`
    `int` | `UHFSetFilterRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetFilterSendData(char saveflag, char ufBank, int ufPtr, int datalen, byte[] databuf)`
    `int` | `UHFSetFrequency_EX(char FreMode)`
    `int` | `UHFSetFrequency(char uFreMode, char uFreBase, char[] uBaseFre, char uChannNum, char uChannSpc, char uFreHopUCHAR)`
    `int` | `UHFSetGen2RecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetGen2SendData(char Target, char Action, char T, char Q_Q, char StartQ, char MinQ, char MaxQ, char D_D, char C_C, char P_P, char Sel, char Session, char G_G, char LF)`
    `int` | `UHFSetInventoryMode(int save, int jpw, int sector, int startAddr, int length, int sector2, int startAddr2, int length2)`
    `int` | `UHFSetIOControl(byte output1, byte output2, byte outStatus)` 功能：继电器和 IO 控制输出设置 输入：output1: 0:低电平 1：高电平 output2: 0:低电平 1：高电平 outStatus： 0：断开 1：闭合 返回值：0：设置成功 -1：设置失败
    `int` | `UHFSetIp(byte[] ipbuf, int port, byte[] mask, byte[] gate)`
    `int` | `UHFSetIpRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetIpSendData(byte[] ipbuf, byte[] postbuf)`
    `int` | `UHFSetJumpFrequencyRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetJumpFrequencySendData(char nums, int[] Freqbuf)`
    `int` | `UHFSetMode(char mode)`
    `int` | `UHFSetParam(char type, char[] id, char[] data)`
    `int` | `UHFSetPower(char uPower)`
    `int` | `UHFSetPowerOnDynamic(char uPower)`
    `int` | `UHFSetPowerRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetPowerSendData(char saveflag, char uPower)`
    `int` | `UHFSetProtocolType(int type)`
    `int` | `UHFSetProtocolTypeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetProtocolTypeSendData(char type)`
    `int` | `UHFSetPwm(int WorkTime, int WaitTime)`
    `int` | `UHFSetReaderBeepRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetReaderBeepSendData(char mode)`
    `int` | `UHFSetRegionRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetRegionSendData(char saveflag, char region)`
    `int` | `UHFSetRFLink(char mode)`
    `int` | `UHFSetSingelMode(char mode)`
    `int` | `UHFSetSleepTimeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetSleepTimeSendData(char uTime)`
    `int` | `UHFSetSM4(char mode, byte[] jKeybuf, byte[] jIVbuf)`
    `int` | `UHFSETSM4(char mode, char[] pszkeydata, char[] pszlvdata)`
    `int` | `UHFSetSoftReset()` 功能：设置软件复位
    `int` | `UHFSetSoftResetRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetSoftResetSendData()` 20200519 begin
    `int` | `UHFSetTagFocus(char par)`
    `int` | `UHFSetTagfocusRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFSetTagfocusSendData(char flag)`
    `int` | `UHFSetTempProtectVal(char temp)`
    `int` | `UHFSetTriggerWorkModePara(byte input, int workTime, int waitTime, byte receiveMode)`
    `int` | `UHFSetWorkMode(byte mode)`
    `int` | `UHFStartLogging(int mask_bank, int mask_addr, int mask_len, byte[] mask_data, float min_temp, float max_temp, int work_delay, int work_interval)`
    `int` | `UHFStartReadDataFromMultiTag(char flagAnti, char[] apwd, char bank, char ptr, char cnt)`
    `int` | `UHFStartUpdate()`
    `int` | `UHFStartUpdateRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFStartUpdateSendData()`
    `int` | `UHFStopGet()`
    `int` | `UHFStopInventoryRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFStopInventorySendData()`
    `int` | `UHFStopLogging(int mask_bank, int mask_addr, int mask_len, byte[] mask_data, long password)`
    `int` | `UHFStopUpdate()`
    `int` | `UHFStopUpdateRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFStopUpdateSendData()`
    `byte[]` | `UHFTCPTagsDataParseRecvData(byte[] inData, int len)`
    `int` | `UHFToBoot(int type)`
    `int` | `UHFUpdating(byte[] buff, int len)`
    `int` | `UHFUpdatingRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFUpdatingSendData(byte[] buf)`
    `byte[]` | `UHFUSBGetTagsDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFVerifyVoltage()`
    `int` | `UHFWriteCalibrationData(char[] epc, char antNum, char[] powerValue, char[] data)`
    `int` | `UHFWriteData_Ex2(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] pszuDat, char uBank, int uPtr, int uCnt, char[] pszuWriteData)`
    `int` | `UHFWriteData(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uUii, char[] uWriteData)`
    `int` | `UHFWriteDataRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHFWriteDataSendData(byte[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, byte[] ufData, char uBank, int uPtr, char uCnt, byte[] writeDatabuf)`
    `char[]` | `UHFWriteDataSingle(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uWriteData)`
    `int` | `UHFWriteQTData_Ex(char[] pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, char[] pszuDat, char uBank, int uPtr, int uCnt, char[] pszuWriteData)`
    `int` | `UHFWriteQTData(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uUii, char[] uWriteData)`
    `char[]` | `UHFWriteQTDataSingle(char[] uAccessPwd, char uBank, int uPtr, char uCnt, char[] uWriteData)`
    `int` | `UHFWriteScreenBlock(byte[] jpwd, byte jsector, int jmaskAddr, int jmaskLen, byte[] jmaskData, byte jtype, int jwriteAddr, int jwriteLen, byte[] jwData)`
    `int` | `UHTSetR6WorkmodeRecvData(byte[] inData, int inLen)`
    `byte[]` | `UHTSetR6WorkmodeSendData(char flag)`
    `int` | `Um7ProtocolConfig(char conf)`
    `byte[]` | `Update_ReadInfo()`
    `int` | `UsbToFingerprint(java.lang.String device)`
    `int` | `UsbToHost(java.lang.String device)`
    `int` | `ZAZfingerDelChar(char[] templateIdStart, char[] templateIdEnd)`
    `char[]` | `ZAZfingerDeviceInfo()`
    `int` | `ZAZfingerDownChar(char[] templateSize, char[] ramBufferId, char[] templateData)`
    `int` | `ZAZfingerDownImageData(char[] imageBlockNumber, char[] imageData)`
    `int` | `ZAZfingerDownImageStart(char[] imageWidth, char[] imageHeight)`
    `int` | `ZAZFingerFree(java.lang.String device)`
    `int` | `ZAZfingerGenerate(char[] ramBufferId)`
    `char[]` | `ZAZfingerGetBrokenId(char[] templateIdStart, char[] templateIdEnd)`
    `char[]` | `ZAZfingerGetEmptyId(char[] templateIdStart, char[] templateIdEnd)`
    `char[]` | `ZAZfingerGetEnrollCount(char[] templateIdStart, char[] templateIdEnd)`
    `char[]` | `ZAZfingerGetImage()`
    `char[]` | `ZAZfingerGetStatus(char[] templateId)`
    `int` | `ZAZFingerInit(java.lang.String device, java.lang.String uart, int baudrate)`
    `int` | `ZAZfingerLoadChar(char[] templateId, char[] ramBufferId)`
    `int` | `ZAZfingerMatch(char[] ramBufferId1, char[] ramBufferId2)`
    `int` | `ZAZfingerMerge(char[] ramBufferId, int number)`
    `char[]` | `ZAZfingerReadParam(int type)`
    `char[]` | `ZAZfingerSearch(char[] ramBufferId, char[] templateIdStart, char[] templateIdEnd)`
    `int` | `ZAZfingerSetParam(int type, char[] value)`
    `int` | `ZAZfingerSledCtrl(int type)`
    `int` | `ZAZfingerStoreChar(char[] templateId, char[] ramBufferId)`
    `int` | `ZAZfingerTestConnection()`
    `char[]` | `ZAZfingerUpChar(char[] ramBufferId)`
    `int[]` | `ZAZfingerUpImage(int imageMode, java.lang.String lpFileName)`
    `char[]` | `ZAZfingerVerify(char[] templateId, char[] ramBufferId)`
    `int` | `zk206BFree(java.lang.String device)`
    `int` | `zk206BInit(java.lang.String device, java.lang.String path, int baudrate)`
    `int` | `zkClearMB()`
    `int` | `zkDownMBLib(int jaddr, byte[] jmb, int jmbLen)`
    `int` | `zkGetDeviceInfo(byte[] info, int[] jinfoLen)`
    `int` | `zkGetFinger(byte[] jfchar, int[] jcharLen, int jtimeout)`
    `int` | `zkGetMBLibCounter(int[] jcount)`
    `int` | `zkRegisterFinger(byte[] jfchar, int[] jfcharLen, int jtimeout)`
    `int` | `zkSearch(byte[] juserinfo, int[] jinfoLen, int timeOut)`
    `int` | `zkUploadImage(byte[] jimg, int[] jimgLen, int jtimeout)`
    `int` | `zkUploadSN(byte[] jsnr, int[] jsnrLen)`
    `int` | `zkWriteMBFlash()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFd

          public java.io.FileDescriptor mFd

  - ### Method Detail

    - #### getInstance

          public static DeviceAPI getInstance()

    - #### UHFSetProtocolType

          public int UHFSetProtocolType(int type)

    - #### UHFGetProtocolType

          public char[] UHFGetProtocolType()

    - #### UHFGBTagLock

          public int UHFGBTagLock(char[] pszuAccessPwd,
                                  char bank,
                                  int ptr,
                                  int cnt,
                                  char[] pszuData,
                                  int memory,
                                  int config,
                                  int action)

    - #### ZAZFingerInit

          public int ZAZFingerInit(java.lang.String device,
                                   java.lang.String uart,
                                   int baudrate)

    - #### ZAZFingerFree

          public int ZAZFingerFree(java.lang.String device)

    - #### ZAZfingerTestConnection

          public int ZAZfingerTestConnection()

    - #### ZAZfingerSetParam

          public int ZAZfingerSetParam(int type,
                                       char[] value)

    - #### ZAZfingerReadParam

          public char[] ZAZfingerReadParam(int type)

    - #### ZAZfingerDeviceInfo

          public char[] ZAZfingerDeviceInfo()

    - #### ZAZfingerGetImage

          public char[] ZAZfingerGetImage()

    - #### ZAZfingerUpImage

          public int[] ZAZfingerUpImage(int imageMode,
                                        java.lang.String lpFileName)

    - #### ZAZfingerDownImageStart

          public int ZAZfingerDownImageStart(char[] imageWidth,
                                             char[] imageHeight)

    - #### ZAZfingerDownImageData

          public int ZAZfingerDownImageData(char[] imageBlockNumber,
                                            char[] imageData)

    - #### ZAZfingerSledCtrl

          public int ZAZfingerSledCtrl(int type)

    - #### ZAZfingerStoreChar

          public int ZAZfingerStoreChar(char[] templateId,
                                        char[] ramBufferId)

    - #### ZAZfingerLoadChar

          public int ZAZfingerLoadChar(char[] templateId,
                                       char[] ramBufferId)

    - #### ZAZfingerUpChar

          public char[] ZAZfingerUpChar(char[] ramBufferId)

    - #### ZAZfingerDownChar

          public int ZAZfingerDownChar(char[] templateSize,
                                       char[] ramBufferId,
                                       char[] templateData)

    - #### ZAZfingerDelChar

          public int ZAZfingerDelChar(char[] templateIdStart,
                                      char[] templateIdEnd)

    - #### ZAZfingerGetEmptyId

          public char[] ZAZfingerGetEmptyId(char[] templateIdStart,
                                            char[] templateIdEnd)

    - #### ZAZfingerGetStatus

          public char[] ZAZfingerGetStatus(char[] templateId)

    - #### ZAZfingerGetBrokenId

          public char[] ZAZfingerGetBrokenId(char[] templateIdStart,
                                             char[] templateIdEnd)

    - #### ZAZfingerGetEnrollCount

          public char[] ZAZfingerGetEnrollCount(char[] templateIdStart,
                                                char[] templateIdEnd)

    - #### ZAZfingerGenerate

          public int ZAZfingerGenerate(char[] ramBufferId)

    - #### ZAZfingerMerge

          public int ZAZfingerMerge(char[] ramBufferId,
                                    int number)

    - #### ZAZfingerMatch

          public int ZAZfingerMatch(char[] ramBufferId1,
                                    char[] ramBufferId2)

    - #### ZAZfingerSearch

          public char[] ZAZfingerSearch(char[] ramBufferId,
                                        char[] templateIdStart,
                                        char[] templateIdEnd)

    - #### ZAZfingerVerify

          public char[] ZAZfingerVerify(char[] templateId,
                                        char[] ramBufferId)

    - #### ModulePowerOn

          public int ModulePowerOn(java.lang.String device,
                                   int module)

    - #### ModulePowerOff

          public int ModulePowerOff(java.lang.String device,
                                    int module)

    - #### ioctl_gpio

          public void ioctl_gpio(java.lang.String device,
                                 int gpio,
                                 int on)

    - #### UartSwitch

          public int UartSwitch(java.lang.String device,
                                int module)

    - #### ModuleInit

          public int ModuleInit(java.lang.String device,
                                java.lang.String path,
                                int baudrate,
                                int module)

    - #### ModuleInitEX

          public int ModuleInitEX(java.lang.String device,
                                  java.lang.String path,
                                  int baudrate,
                                  int module,
                                  int databits,
                                  int stopbits,
                                  int check)

    - #### ModuleFree

          public int ModuleFree(java.lang.String device)

    - #### SerailOpen

          public int SerailOpen(java.lang.String device,
                                java.lang.String path,
                                int baudrate,
                                int module,
                                int check)

    - #### OpenSerail

          public int OpenSerail(java.lang.String path,
                                int baudrate,
                                int databits,
                                int stopbits,
                                int check)

    - #### SerailClose

          public int SerailClose(java.lang.String device)

    - #### ModuleSend

          public int ModuleSend(byte[] data,
                                int len)

    - #### ModuleReceive

          public byte[] ModuleReceive()

    - #### ModuleReceiveEx

          public byte[] ModuleReceiveEx()

    - #### bdOn

          public int bdOn(java.lang.String device)

    - #### bdOff

          public int bdOff(java.lang.String device)

    - #### spOpen

          public java.io.FileDescriptor spOpen(java.lang.String path,
                                               int baudrate,
                                               int flags)

      打开串口
      Parameters:
        `path` -
        `baudrate` -
        `flags` -
      Returns:

    - #### spClose

          public void spClose()

      关闭串口

    - #### LedOn

          public int LedOn(java.lang.String device,
                           int led)

    - #### LedOff

          public int LedOff(java.lang.String device,
                            int led)

    - #### Barcode_1D_Open

          public int Barcode_1D_Open(java.lang.String device,
                                     java.lang.String uart,
                                     int baudrate)

    - #### Barcode_1D_Close

          public int Barcode_1D_Close(java.lang.String device)

    - #### Barcode_1D_SetTimeOut

          public void Barcode_1D_SetTimeOut(int device)

    - #### ScanerLed_Init

          public void ScanerLed_Init(java.lang.String device)

    - #### ScanerLed_Free

          public void ScanerLed_Free(java.lang.String device)

    - #### ScanerLed_On

          public void ScanerLed_On(java.lang.String device)

    - #### ScanerLed_Off

          public void ScanerLed_Off(java.lang.String device)

    - #### Barcode_1D_Scan

          public byte[] Barcode_1D_Scan(java.lang.String device)

    - #### Barcode_1D_StopScan

          public int Barcode_1D_StopScan(java.lang.String device)

    - #### Barcode_2D_Open

          public int Barcode_2D_Open(java.lang.String device,
                                     java.lang.String uart,
                                     int baudrate)

    - #### Barcode_2D_Close

          public int Barcode_2D_Close(java.lang.String device)

    - #### Barcode_2D_Scan

          public byte[] Barcode_2D_Scan(java.lang.String device)

    - #### Barcode_2D_StopScan

          public int Barcode_2D_StopScan(java.lang.String device)

    - #### Barcode_2D_SetTimeOut

          public void Barcode_2D_SetTimeOut(int time)

    - #### RFID_init

          public int RFID_init(java.lang.String device,
                               java.lang.String uart,
                               int baudrate,
                               int isRfOff)

      RFID_init 模块初始化
      Parameters:
        `device` - device 设备类型 "C3000"或者"C4000"
        `uart` - 串口号,默认"/dev/ttysVK0"
        `baudrate` - 波特率,单协议设备是9600，双协议传入115200
      Returns:
        成功返回0, 失败返回非0状态码

    - #### RFID_free

          public int RFID_free(java.lang.String device)

      RFID_free 模块释放
      Parameters:
        `device` - device 设备类型 "C3000"或者"C4000"
      Returns:
        成功返回0, 失败返回非0状态码

    - #### RFID_GetVer

          public byte[] RFID_GetVer()

      RFID_GetVer 获取RFID模块硬件版本
      Returns:
        数组形式返回，1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2）如果状态位表示成功，第1个元素表明后续还有的数据长度，这里表明版本号字符串的长度3）从第2个元素开始是版本号的内容

    - #### ISO14443A_request

          public byte[] ISO14443A_request(java.lang.String device,
                                          int iMode)

      ISO14443A_request 获取A卡ID号 传入参数：1）device 设备类型 "C3000"或者"C4000"2）iMode 0呼叫未进入休眠状态的标签，1呼叫所有的标签返回值：数组形式返回，1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2）如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第二个元素开始的数据格式为： ATQA(2Byte)+UID长度(1Byte)+UID[]+SAK 判断卡片类型通过

    - #### ISO14443A_authentication

          public int ISO14443A_authentication(int iMode,
                                              int iBlock,
                                              char[] pszKey,
                                              int iLenKey)

      ISO14443A_authentication 验证A卡秘钥 传入参数：1）iMode密钥验证模式 0 为验证A密钥；1为验证B密钥 2）iBlock要验证密钥的绝对块号 块号范围 0~633）pszKey密钥内容4）iLenKey密钥长度 最大长度为6字节 返回值：0为成功，非0为失败状态码

    - #### ISO14443A_read

          public char[] ISO14443A_read(int iBlock)

      ISO14443A_read 读取电子标签内容 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2）如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始是读到的的内容

    - #### ISO14443A_mifareone_alldata_read

          public char[] ISO14443A_mifareone_alldata_read(int iBlock,
                                                         char[] pszKey)

    - #### ISO14443A_write

          public int ISO14443A_write(int iBlock,
                                     char[] pszData,
                                     int iLenData)

      ISO14443A_write 将指定内容写入电子标签中 传入参数：1）iBlock要写入数据的绝对块号 块号范围 0~63 2）pszData要写入的数据内容3）要写入的数据内容的长度返回值：0为成功，非0为失败状态码

    - #### ISO14443A_initval

          public int ISO14443A_initval(int iBlock,
                                       int iValue)

      ISO14443A_initval 电子钱包初始化 传入参数：1）iBlock要写入数据的绝对块号 块号范围 0~632）iValue 初始金额 返回值：0为成功，非0为失败状态码

    - #### ISO14443A_readval

          public int[] ISO14443A_readval(int iBlock)

      ISO14443A_readval 读取电子钱包余额 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)第1个元素是读取到的余额

    - #### ISO14443A_decrement

          public int ISO14443A_decrement(int iBlockValue,
                                         int iBlockResult,
                                         int iValue)

      ISO14443A_decrement 电子钱包扣费 传入参数：1）iBlockValue当前金额所在块 2）iBlockResult扣值后剩余金额保存的块3）iValue金额返回值：0为成功，非0为失败状态码

    - #### ISO14443A_increment

          public int ISO14443A_increment(int iBlockValue,
                                         int iBlockResult,
                                         int iValue)

      ISO14443A_increment 电子钱包充值 传入参数：1）iBlockValue当前金额所在块2）充值后剩余金额保存的块 3）iValue金额返回值：0为成功，非0为失败状态码

    - #### ISO14443A_restore

          public int ISO14443A_restore(int iBlock)

      ISO14443A_restore 将EEPROM中的内容 传入卡的内部寄存器传入参数：1）iBlockValue当前金额所在块 返回值：0为成功，非0为失败状态码

    - #### ISO14443A_transfer

          public int ISO14443A_transfer(int iBlock)

      ISO14443A_transfer 将寄存器的内容传送到EEPROM中； 传入参数：1）iBlockValue当前金额所在块 返回值：0为成功，非0为失败状态码

    - #### ISO14443A_ul_read

          public char[] ISO14443A_ul_read(int iBlock)

      ISO14443A_ul_read 读取电子标签内容 传入参数：1）iBlock要读取数据的绝对块号 块号范围 0~63 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2）如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始是读到的的内容

    - #### ISO14443A_ul_write

          public int ISO14443A_ul_write(int iBlock,
                                        char[] pszData,
                                        int iLenData)

      ISO14443A_ul_write 将指定内容写入电子标签 传入参数：1）iBlock 写入数据的绝对块号 （0-3块不能写入数据） 2)*pszData 写入的数据信息3)iLenData 写入数据信息的长度(4Byte)返回值：0为成功，非0为失败状态码
      Parameters:
        `iBlock` -
        `pszData` -
        `iLenData` -
      Returns:

    - #### ISO14443A_cpu_rats

          public char[] ISO14443A_cpu_rats()

      ISO14443A_cpu_rats CPU卡RATS操作指令（TYPE A类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的rats操作数据

    - #### ISO14443A_cpu_reset

          public char[] ISO14443A_cpu_reset()

      ISO14443A_cpu_reset CPU卡复位操作指令（TYPE A类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的reset操作数据

    - #### ISO14443A_cpu_command

          public char[] ISO14443A_cpu_command(char[] pszCOS,
                                              int iLenCOS)

      ISO14443A_cpu_command CPU卡 T=CL发送COS指令 传入参数：1）pszCOS传输的COS指令内容2）iLenCOS 传输的COS指令内容长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为CPU卡返回的COS指令内容

    - #### ISO14443B_cpu_reset

          public char[] ISO14443B_cpu_reset()

      ISO14443B_cpu_reset CPU卡复位操作指令（TYPE B类型） 传入参数：无 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为CPU卡返回的reset操作数据

    - #### ISO14443B_UID

          public char[] ISO14443B_UID()

    - #### ISO14443B_cpu_command

          public char[] ISO14443B_cpu_command(char[] pszCOS,
                                              int iLenCOS)

      ISO14443B_cpu_command CPU卡 T=CL发送COS指令 传入参数：1）pszCOS传输的COS指令内容2）iLenCOS 传输的COS指令内容长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为CPU卡返回的COS指令内容

    - #### ISO15693_inventory

          public char[] ISO15693_inventory(int iMode,
                                           int iAFI)

      ISO15693_inventory 读取卡片UID 传入参数：1）iMode 0 多张卡呼叫 不带AFI，1 单张卡呼叫 不带AFI，2 多张卡呼叫 带AFI ，3 单张卡呼叫 带AFI2）iAFI AFI值 返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为15693卡的ID号

    - #### ISO15693_read_sm

          public char[] ISO15693_read_sm(int iMode,
                                         char[] pszUID,
                                         int iLenUID,
                                         int startblock,
                                         int blocknum)

      ISO15693_read_sm 读取卡片内部数据 传入参数： 1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签 2）pszUID：UID 3）iLenUID：UID长度 4）Startblock：起始块号 5）Blocknum：一共读取多少块（1-10） 返回值： 1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为读到的数据内容

    - #### ISO15693_read_sm_ex

          public char[] ISO15693_read_sm_ex(int iMode,
                                            char[] pszUID,
                                            int iLenUID,
                                            int startblock,
                                            int blocknum)

    - #### ISO15693_write_sm

          public int ISO15693_write_sm(int iMode,
                                       char[] pszUID,
                                       int iLenUID,
                                       int startblock,
                                       int blocknum,
                                       char[] pszData,
                                       int iWriteLen)

      ISO15693_write_sm 向卡片内部写入数据 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）Startblock：起始块号5）blocknum：一共写入多少块6）pszData 写入的数据信息 7）iWriteLen：写入的数据长度返回值：0成功，非0状态码

    - #### ISO15693_write_sm_ex

          public int ISO15693_write_sm_ex(int iMode,
                                          char[] pszUID,
                                          int iLenUID,
                                          int startblock,
                                          int blocknum,
                                          char[] pszData,
                                          int iWriteLen)

    - #### ISO15693_lockBlock

          public int ISO15693_lockBlock(int iMode,
                                        char[] pszUID,
                                        int iLenUID,
                                        int startblock,
                                        int blocknum)

      ISO15693_lockBlock 锁定数据块 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）Startblock：起始块号5）blocknum：一共写入多少块返回值：0成功，非0状态码

    - #### ISO15693_writeAFI

          public int ISO15693_writeAFI(int iMode,
                                       char[] pszUID,
                                       int iLenUID,
                                       int iAFI)

      ISO15693_writeAFI 写AFI 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）iAFI：AFI内容返回值：0成功，非0状态码

    - #### ISO15693_lockAFI

          public int ISO15693_lockAFI(int iMode,
                                      char[] pszUID,
                                      int iLenUID)

      ISO15693_lockAFI 锁AFI 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度返回值：0成功，非0状态码

    - #### ISO15693_writeDSFID

          public int ISO15693_writeDSFID(int iMode,
                                         char[] pszUID,
                                         int iLenUID,
                                         int iDSFID)

      ISO15693_writeDSFID 写DSFID 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度4）iDSFID：DSFID内容返回值：0成功，非0状态码

    - #### ISO15693_lockDSFID

          public int ISO15693_lockDSFID(int iMode,
                                        char[] pszUID,
                                        int iLenUID)

      ISO15693_lockDSFID 锁DSFID 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID 3）iLenUID：UID长度返回值：0成功，非0状态码

    - #### ISO15693_getSystemInformation

          public char[] ISO15693_getSystemInformation(int iMode,
                                                      char[] pszUID,
                                                      int iLenUID)

      ISO15693_getSystemInformation 获取电子标签信息 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签 2）pszUID：UID3）iLenUID：UID长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为电子标签信息

    - #### ISO15693_GenericFunction

          public char[] ISO15693_GenericFunction(char Command,
                                                 char[] jdatabuf,
                                                 char jdatalen)

    - #### ISO15693_getMultipleBlockSecurityStatus

          public char[] ISO15693_getMultipleBlockSecurityStatus(int iMode,
                                                                char[] pszUID,
                                                                int iLenUID,
                                                                int startblock,
                                                                int blocknum)

      ISO15693_getMultipleBlockSecurityStatus 获取多块安全状态 传入参数：1）iMode 0 非SELECT状态，不传UID NXP I CODE SLI 标签 1 SELECT状态，不传UID NXP I CODE SLI 标签 2 非SELECT状态，传UID NXP I CODE SLI 标签 3 SELECT状态，传UID NXP I CODE SLI 标签 4 非SELECT状态 不传UID TI 标签 5 SELECT状态 不传UID TI 标签 6 非SELECT状态 传UID TI 标签 7 SELECT状态 传UID TI 标签2）pszUID：UID3）iLenUID：UID长度4）Startblock：起始块号 5）blocknum：一共读取块数返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据 2)如果状态位表示成功，第1个元素表明后续还有的数据长度3）从第2个元素开始为多块安全状态信息

    - #### ISO15693_transferCommand

          public char[] ISO15693_transferCommand(char[] pszCmd,
                                                 int iComLen)

      ISO15693_transferCommand 15693透传函数 传入参数：1）UINT8 *pszCmd传输的指令内容2）iComLen 指令长度返回值：1）第0个元素是状态位，0表示成功，非零为错误码，如果为错误码，后面无数据2)如果状态位表示成功，第1个元素表明后续还有的数据长度 3）从第2个元素开始为卡片返回的响应数据

    - #### EMFingerInit

          public int EMFingerInit(java.lang.String device,
                                  java.lang.String uart,
                                  int baudrate)

    - #### EMFingerFree

          public int EMFingerFree(java.lang.String device)

    - #### EMGetRandomData

          public char[] EMGetRandomData()

    - #### EMGetImage

          public int EMGetImage()

    - #### EMGenChar

          public int EMGenChar(int GenID)

    - #### EMMatch

          public int[] EMMatch()

    - #### EMSearch

          public int[] EMSearch(int BuffID,
                                int StartPage,
                                int PageNum)

    - #### EMRegModel

          public int EMRegModel()

    - #### EMStorChar

          public int EMStorChar(int BuffID,
                                int PageID)

    - #### EMLoadChar

          public int EMLoadChar(int BuffID,
                                int PageID)

    - #### EMUpChar

          public char[] EMUpChar(int BuffID)

    - #### EMDownChar

          public int EMDownChar(int BuffID,
                                char[] pszData)

    - #### EMDeletChar

          public int EMDeletChar(int PageID,
                                 int nNum)

    - #### EMEmpty

          public int EMEmpty()

    - #### EMSetReg

          public int EMSetReg(int RegID,
                              int nValue)

    - #### EMAutoEnroll

          public int[] EMAutoEnroll(int nTime,
                                    int UserID)

    - #### EMAutoMatch

          public int[] EMAutoMatch(int nFlag,
                                   int StartPage,
                                   int PageNum)

    - #### EMSetPSW

          public int EMSetPSW(char[] PassWord)

    - #### EMVfyPSW

          public int EMVfyPSW(char[] PassWord)

    - #### EMValidTempleteNum

          public int[] EMValidTempleteNum()

    - #### EMReadChipSN

          public char[] EMReadChipSN()

    - #### EMSetManuFacture

          public int EMSetManuFacture(char[] NameInfo)

    - #### EMSetDeviceName

          public int EMSetDeviceName(char[] DeviceName)

    - #### EMReadSysPara

          public char[] EMReadSysPara()

    - #### EMReadSysParaMore

          public char[] EMReadSysParaMore()

    - #### EMUpImage

          public int[] EMUpImage(int Mode,
                                 java.lang.String lpFileName)

    - #### EMUpImageISO

          public int[] EMUpImageISO(int Mode,
                                    java.lang.String lpFileName)

    - #### EM125k_init

          public int EM125k_init(java.lang.String device,
                                 java.lang.String uart,
                                 int baudrate)

    - #### EM125k_free

          public int EM125k_free(java.lang.String device)

    - #### HardwareVersion_125k

          public char[] HardwareVersion_125k()

    - #### EM125k_read

          public char[] EM125k_read(int iMode)

    - #### EM125k_UID_REQ

          public char[] EM125k_UID_REQ()

    - #### EM125k_ReadHitag

          public char[] EM125k_ReadHitag(int nPage)

    - #### EM125k_WriteHitagPage

          public int EM125k_WriteHitagPage(int nPage,
                                           char[] pszData)

    - #### EM125k_Read4305

          public char[] EM125k_Read4305(int nPage)

      读EM4305卡 ******************************** 功能描述：读4305卡的某一页（0~31）数据 输入参数：nPage -- 页地址(0~31) 第0、3、5~13页可读可写，可供用户存储数据使用 第1页为UID存储区，只读 第2页为密码区 第4页为参数配置区域 第14、15页为保护区 输出参数：pszData-- 4字节数据（每页可存放4字节）

    - #### EM125k_Write4305

          public int EM125k_Write4305(int nPage,
                                      char[] pszData)

      写EM4305卡 ******************************** 功能描述：写4305卡的某一页（0~31）数据 输入参数：nPage -- 页地址(0~31) 第0、3、5~13页可读可写，可供用户存储数据使用 第1页为UID存储区，只读 第2页为密码区 第4页为参数配置区域 第14、15页为保护区 pszData-- 4字节数据（每页可存放4字节）

    - #### EM125K_GetEm4450UID

          public char[] EM125K_GetEm4450UID()

    - #### EM_25kread

          public char[] EM_25kread()

      读半双工的动物标签 ************************ 输出参数：pszData-- 16字节动物标签数据

    - #### EM125k_init_Ex

          public int EM125k_init_Ex(java.lang.String device,
                                    java.lang.String uart,
                                    int baudrate)

    - #### EM125k_read_Ex

          public char[] EM125k_read_Ex()

    - #### ConfigFDXTag

          public int ConfigFDXTag(char[] cidbuf,
                                  char[] nidbuf)

    - #### HID_GetUid

          public int HID_GetUid()

    - #### EM125k_ReadHitag1

          public char[] EM125k_ReadHitag1()

    - #### UHFInventory_EX_BankPtrCnt

          public int UHFInventory_EX_BankPtrCnt(char flagAnti,
                                                char initQ,
                                                char bank,
                                                char ptr,
                                                char cnt)

    - #### UHFBlockPermalock

          public char[] UHFBlockPermalock(char[] jucppwd,
                                          char bank,
                                          char startaddr,
                                          char datalen,
                                          char[] jucpdatabuf,
                                          char readlock,
                                          char MB,
                                          char blockptr,
                                          char blockrange,
                                          char[] jucpmask)

    - #### Um7ProtocolConfig

          public int Um7ProtocolConfig(char conf)

    - #### UHFFlagCrcOn

          public void UHFFlagCrcOn()

    - #### R2000_OPENMODE

          public int R2000_OPENMODE()

    - #### R2000_FreHopSet

          public int R2000_FreHopSet(int fre)

    - #### UHFFlafCrcOff

          public void UHFFlafCrcOff()

    - #### UHFInit

          public int UHFInit(java.lang.String device)

    - #### UHFFree

          public int UHFFree(java.lang.String device)

    - #### UHFOpenAndConnect

          public int UHFOpenAndConnect(java.lang.String uart)

    - #### UHFOpenAndConnect_Ex

          public int UHFOpenAndConnect_Ex(java.lang.String uart)

    - #### UHFCloseAndDisconnect

          public void UHFCloseAndDisconnect()

    - #### UHFGetPower

          public char[] UHFGetPower()

    - #### UHFSetPower

          public int UHFSetPower(char uPower)

    - #### UHFSetPowerOnDynamic

          public int UHFSetPowerOnDynamic(char uPower)

    - #### UHFGetHwType

          public char[] UHFGetHwType()

    - #### UHFGetHardwareVersionType

          public char[] UHFGetHardwareVersionType()

    - #### UHFGetFrequency

          public char[] UHFGetFrequency()

    - #### UHFGetFrequency_Ex

          public char[] UHFGetFrequency_Ex()

    - #### UHFSetFrequency

          public int UHFSetFrequency(char uFreMode,
                                     char uFreBase,
                                     char[] uBaseFre,
                                     char uChannNum,
                                     char uChannSpc,
                                     char uFreHopUCHAR)

    - #### UHFSetFrequency_EX

          public int UHFSetFrequency_EX(char FreMode)

    - #### UHFInventory

          public int UHFInventory(char flagAnti,
                                  char initQ)

    - #### UHFInventory_EX

          public int UHFInventory_EX(char flagAnti,
                                     char initQ)

    - #### UHFInventory_EX_cnt

          public int UHFInventory_EX_cnt(char flagAnti,
                                         char initQ,
                                         char cnt)

    - #### UHFInventoryTID

          public int UHFInventoryTID(char flagAnti,
                                     char initQ)

    - #### UHFStartReadDataFromMultiTag

          public int UHFStartReadDataFromMultiTag(char flagAnti,
                                                  char[] apwd,
                                                  char bank,
                                                  char ptr,
                                                  char cnt)

    - #### UHFGetMultiDataReceived

          public char[] UHFGetMultiDataReceived()

    - #### UHFGetReceived

          public char[] UHFGetReceived()

    - #### UHFGetReceived_EX

          public char[] UHFGetReceived_EX()

    - #### UHFGetReceived_EX2

          public int UHFGetReceived_EX2(byte[] outData)

    - #### UHFGetReceived_EX_R2000

          public char[] UHFGetReceived_EX_R2000()

    - #### UHFGetRSSI

          public int[] UHFGetRSSI()

    - #### UHFStopGet

          public int UHFStopGet()

    - #### UHFSetPwm

          public int UHFSetPwm(int WorkTime,
                               int WaitTime)

    - #### UHFGetPwm

          public int[] UHFGetPwm()

    - #### UHFSetSingelMode

          public int UHFSetSingelMode(char mode)

    - #### UHFGetSingelMode

          public char[] UHFGetSingelMode()

    - #### UHFReadData

          public char[] UHFReadData(char[] uAccessPwd,
                                    char uBank,
                                    int uPtr,
                                    int uCnt,
                                    char[] uUii)

    - #### UHFReadData_EX

          public char[] UHFReadData_EX(char[] uAccessPwd,
                                       char uBank,
                                       int uPtr,
                                       char uCnt,
                                       char[] uTID)

    - #### UHFWriteData

          public int UHFWriteData(char[] uAccessPwd,
                                  char uBank,
                                  int uPtr,
                                  char uCnt,
                                  char[] uUii,
                                  char[] uWriteData)

    - #### UHFEraseData

          public int UHFEraseData(char[] uAccessPwd,
                                  char uBank,
                                  int uPtr,
                                  char uCnt,
                                  char[] uUii)

    - #### UHFEraseDataEx

          public int UHFEraseDataEx(char[] pszuAccessPwd,
                                    char filterBank,
                                    int filterPtr,
                                    char filterCnt,
                                    char[] filterData,
                                    char uBank,
                                    int uPtr,
                                    int uCnt)

    - #### UHFLockMem

          public int UHFLockMem(char[] uAccessPwd,
                                char[] uLockData,
                                char[] uUii)

    - #### UHFKillTag

          public int UHFKillTag(char[] uKillPwd,
                                char[] uUii)

    - #### UHFGetVersion

          public char[] UHFGetVersion()

    - #### UHFInventorySingle

          public char[] UHFInventorySingle()

    - #### UHFInventorySingleEPCTIDUSER

          public char[] UHFInventorySingleEPCTIDUSER(int p1,
                                                     int p2)

    - #### UHFInventorySingle_sf

          public char[] UHFInventorySingle_sf()

    - #### UHFInventorySingle_EX

          public char[] UHFInventorySingle_EX()

    - #### UHFInventorySingle_R2000

          public char[] UHFInventorySingle_R2000()

    - #### UHFReadDataSingle

          public char[] UHFReadDataSingle(char[] uAccessPwd,
                                          char uBank,
                                          int uPtr,
                                          char uCnt)

    - #### UHFWriteDataSingle

          public char[] UHFWriteDataSingle(char[] uAccessPwd,
                                           char uBank,
                                           int uPtr,
                                           char uCnt,
                                           char[] uWriteData)

    - #### UHFEraseDataSingle

          public char[] UHFEraseDataSingle(char[] uAccessPwd,
                                           char uBank,
                                           int uPtr,
                                           char uCnt)

    - #### UHFLockMemSingle

          public char[] UHFLockMemSingle(char[] uAccessPwd,
                                         char[] uLockData)

    - #### UHFKillTagSingle

          public char[] UHFKillTagSingle(char[] uKillPwd)

    - #### UHFSetFilter

          public int UHFSetFilter(char flagstore,
                                  char uBank,
                                  int uPtr,
                                  int len,
                                  char[] data)

    - #### UHFSetParam

          public int UHFSetParam(char type,
                                 char[] id,
                                 char[] data)

    - #### UHFGetParam

          public char[] UHFGetParam(char type,
                                    char[] id)

    - #### RF_ISO14443A_DESFIRE_SelApp

          public int RF_ISO14443A_DESFIRE_SelApp(byte[] AppId)

    - #### RF_ISO14443A_DESFIRE_GetApps

          public byte[] RF_ISO14443A_DESFIRE_GetApps()

    - #### RF_ISO14443A_DESFIRE_DelApp

          public int RF_ISO14443A_DESFIRE_DelApp(char[] AppId)

    - #### RF_ISO14443A_DESFIRE_AddApp

          public int RF_ISO14443A_DESFIRE_AddApp(char[] AppId,
                                                 int KeySetting,
                                                 int FileNums)

    - #### RF_ISO14443A_DESFIRE_GetFileIds

          public byte[] RF_ISO14443A_DESFIRE_GetFileIds()

    - #### RF_ISO14443A_DESFIRE_GetPiccInfo

          public char[] RF_ISO14443A_DESFIRE_GetPiccInfo()

    - #### RF_ISO14443A_DESFIRE_AddStdFile

          public int RF_ISO14443A_DESFIRE_AddStdFile(int FileNo,
                                                     int CommSet,
                                                     char[] AccessRight,
                                                     int FileSize)

    - #### RF_ISO14443A_DESFIRE_DelFile

          public int RF_ISO14443A_DESFIRE_DelFile(int FileNo)

    - #### RF_ISO14443A_DESFIRE_GetFileSetting

          public byte[] RF_ISO14443A_DESFIRE_GetFileSetting(int FileNo)

    - #### RF_ISO14443A_DESFIRE_ChangeFileSetting

          public int RF_ISO14443A_DESFIRE_ChangeFileSetting(int FileNo,
                                                            int CommSet,
                                                            char[] AccessRights)

    - #### RF_ISO14443A_DESFIRE_Auth

          public int RF_ISO14443A_DESFIRE_Auth(int KeyNo,
                                               char[] KeyBuf,
                                               int KeyLen)

    - #### RF_ISO14443A_DESFIRE_Cpysel

          public void RF_ISO14443A_DESFIRE_Cpysel(int cpyType)

    - #### RF_ISO14443A_DESFIRE_RatPss

          public int RF_ISO14443A_DESFIRE_RatPss()

    - #### RF_ISO14443A_DESFIRE_ChangeKey

          public int RF_ISO14443A_DESFIRE_ChangeKey(int KeyNo,
                                                    char[] KeyBuf,
                                                    int KeyLen)

    - #### RF_ISO14443A_DESFIRE_GetKeySetting

          public char[] RF_ISO14443A_DESFIRE_GetKeySetting()

    - #### RF_ISO14443A_DESFIRE_ChangeKeySetting

          public int RF_ISO14443A_DESFIRE_ChangeKeySetting(int KeySetting)

    - #### RF_ISO14443A_DESFIRE_WriteStdFile

          public int RF_ISO14443A_DESFIRE_WriteStdFile(int FileNo,
                                                       int OffSet,
                                                       int DataSize,
                                                       char[] DataBuf)

    - #### RF_ISO14443A_DESFIRE_ReadStdFile

          public char[] RF_ISO14443A_DESFIRE_ReadStdFile(int FileNo,
                                                         int OffSet,
                                                         int DataSize)

    - #### RF_ISO14443A_DESFIRE_AddValueFile

          public int RF_ISO14443A_DESFIRE_AddValueFile(int FileNo,
                                                       int CommSet,
                                                       char[] AccessRights,
                                                       int MinValue,
                                                       int MaxValue,
                                                       int InitValue)

    - #### RF_ISO14443A_DESFIRE_GetValueFile

          public int[] RF_ISO14443A_DESFIRE_GetValueFile(int FileNo)

    - #### RF_ISO14443A_DESFIRE_CreditValueFile

          public int RF_ISO14443A_DESFIRE_CreditValueFile(int FileNo,
                                                          int CreValue)

    - #### RF_ISO14443A_DESFIRE_DebitValueFile

          public int RF_ISO14443A_DESFIRE_DebitValueFile(int FileNo,
                                                         int DeValue)

    - #### RF_ISO14443A_DESFIRE_FormatCard

          public int RF_ISO14443A_DESFIRE_FormatCard()

    - #### Psam_Init

          public int Psam_Init(java.lang.String device)

    - #### Psam_InitXy

          public int Psam_InitXy(java.lang.String device)

    - #### Psam_Free

          public int Psam_Free(java.lang.String device)

    - #### Psam_Cmd

          public byte[] Psam_Cmd(java.lang.String device,
                                 char cmd,
                                 char[] cmddata,
                                 int cmdlen)

    - #### RFID_UPDATE

          public int RFID_UPDATE(int jpackage_sum_number,
                                 int jpackage_which_number,
                                 int pszData_len,
                                 byte[] pszData)

    - #### PSAM_UPDATE

          public int PSAM_UPDATE(int jpackage_sum_number,
                                 int jpackage_which_number,
                                 int pszData_len,
                                 byte[] pszData)

    - #### infrared_read

          public byte[] infrared_read()

    - #### infrared_write

          public int infrared_write(byte[] data,
                                    int len)

    - #### Infrared_Open

          public int Infrared_Open(java.lang.String device,
                                   java.lang.String uart,
                                   int baudrate,
                                   int databits,
                                   int stopbits,
                                   int check)

    - #### Infrared_SwitchSerialPort

          public int Infrared_SwitchSerialPort(java.lang.String device,
                                               java.lang.String uart,
                                               int baudrate,
                                               int databits,
                                               int stopbits,
                                               int check)

    - #### Infrared_Close

          public int Infrared_Close(java.lang.String device)

    - #### Infared_IDPOWER

          public byte[] Infared_IDPOWER()

    - #### Infared_IDPOWER07

          public byte[] Infared_IDPOWER07()

    - #### UHFReadQTData

          public char[] UHFReadQTData(char[] uAccessPwd,
                                      char uBank,
                                      int uPtr,
                                      char uCnt,
                                      char[] uUii)

    - #### UHFReadQTDataSingle

          public char[] UHFReadQTDataSingle(char[] uAccessPwd,
                                            char uBank,
                                            int uPtr,
                                            char uCnt)

    - #### UHFWriteQTData

          public int UHFWriteQTData(char[] uAccessPwd,
                                    char uBank,
                                    int uPtr,
                                    char uCnt,
                                    char[] uUii,
                                    char[] uWriteData)

    - #### UHFWriteQTDataSingle

          public char[] UHFWriteQTDataSingle(char[] uAccessPwd,
                                             char uBank,
                                             int uPtr,
                                             char uCnt,
                                             char[] uWriteData)

    - #### GetQTPara

          public char[] GetQTPara()

    - #### SetQTPara

          public int SetQTPara(char pszData)

    - #### UHF706_OpenAndConnect

          public int UHF706_OpenAndConnect(java.lang.String path)

    - #### UHF706_CloseAndDisconnect

          public void UHF706_CloseAndDisconnect()

    - #### Config_SetRTC

          public int Config_SetRTC(byte[] RTC)

    - #### Config_ReadRTC

          public byte[] Config_ReadRTC()

    - #### Config_SetPara

          public int Config_SetPara(int type,
                                    byte len,
                                    byte[] data)

    - #### Config_GetPara

          public byte[] Config_GetPara(int type)

    - #### SetTestMode

          public int SetTestMode()

    - #### Config_GetAccess

          public byte[] Config_GetAccess()

    - #### Config_SetWorkMode

          public int Config_SetWorkMode(byte nums,
                                        byte[] modebuf)

    - #### Auth_RequestRandom

          public byte[] Auth_RequestRandom()

    - #### Auth_SendData

          public int Auth_SendData(byte[] hrandom,
                                   byte[] srandom,
                                   byte[] devid,
                                   byte[] reserve,
                                   byte[] signature,
                                   int certlen,
                                   byte[] certbuf)

    - #### Auth_UserInfo

          public byte[] Auth_UserInfo(byte[] jprovince,
                                      byte[] jcity,
                                      byte[] jjw,
                                      byte[] jusage,
                                      byte[] jtype1,
                                      byte[] jcom_name,
                                      byte[] jpeople,
                                      byte[] jtel1,
                                      byte[] jtel2,
                                      byte[] jemail,
                                      byte[] jdata,
                                      byte[] jps)

    - #### Auth_ActiveFile

          public int Auth_ActiveFile(byte transmode,
                                     byte[] deviceid,
                                     byte[] reverse,
                                     byte[] transbuf)

    - #### Auth_CertificationChain

          public int Auth_CertificationChain(byte level,
                                             byte levels,
                                             int len,
                                             byte[] buf)

    - #### Update_ReadInfo

          public byte[] Update_ReadInfo()

    - #### SetInventorySper

          public int SetInventorySper(int flag)

    - #### SetInventoryFixed

          public int SetInventoryFixed(int freq)

    - #### Requset_ReadPart

          public int Requset_ReadPart(byte speed,
                                      byte des,
                                      byte flag,
                                      byte partnum,
                                      byte ptr,
                                      byte len)

    - #### TransData

          public byte[] TransData(byte[] tbuf,
                                  int tlen,
                                  byte flag)

    - #### Requset_WritePart

          public int Requset_WritePart(byte[] tid,
                                       byte num,
                                       byte startaddr,
                                       byte len,
                                       byte[] buf)

    - #### Request_WriteSpecialPart

          public int Request_WriteSpecialPart(int len,
                                              byte[] buf)

    - #### TransBuf

          public byte[] TransBuf(byte oper,
                                 int len,
                                 byte[] jbuf)

    - #### SetConfig

          public int SetConfig(byte[] jbuf)

    - #### SetInventorySper

          public int SetInventorySper()

    - #### EventReport

          public int EventReport()

    - #### POWER_LED_ON

          public int POWER_LED_ON(java.lang.String device)

    - #### POWER_LED_OFF

          public int POWER_LED_OFF(java.lang.String device)

    - #### OTG_GPIO_OFF

          public int OTG_GPIO_OFF(java.lang.String device)

    - #### OTG_GPIO_ON

          public int OTG_GPIO_ON(java.lang.String device)

    - #### PTInit

          public int PTInit(java.lang.String device,
                            java.lang.String uart)

    - #### PTExit

          public int PTExit(java.lang.String device)

    - #### PTEnroll

          public int PTEnroll(char index)

    - #### PTVerifyALL

          public int PTVerifyALL(char index)

    - #### PTVerify

          public int PTVerify(char index,
                              char[] data,
                              int len)

    - #### PTDeleteAllFingers

          public int PTDeleteAllFingers(char index)

    - #### PTStoreFinger

          public int PTStoreFinger(byte iCounts,
                                   byte[] templateData)

    - #### PTGUICancel

          public int PTGUICancel(char index)

    - #### PTListAllFingers

          public byte[] PTListAllFingers(char index)

    - #### PTResponseContinue

          public byte[] PTResponseContinue(char index)

    - #### PTGrab

          public int PTGrab(char index)

    - #### PTTLSFContinue

          public byte[] PTTLSFContinue(char index)

    - #### PTInfo

          public byte[] PTInfo(char index)

    - #### PTCapture

          public int PTCapture(char index)

    - #### PTSetAppData

          public int PTSetAppData(char index,
                                  char[] data,
                                  char len)

    - #### PTGetAppData

          public byte[] PTGetAppData(char index)

    - #### PTConvertTemplateEx

          public byte[] PTConvertTemplateEx(byte iCounts,
                                            byte jtarget_type,
                                            byte[] srcbuf,
                                            int jsrclen)

    - #### UHFGetRFLink

          public byte[] UHFGetRFLink()

    - #### UHFSetRFLink

          public int UHFSetRFLink(char mode)

    - #### UHFSetFastID

          public int UHFSetFastID(char par)

    - #### UHFSetTagFocus

          public int UHFSetTagFocus(char par)

    - #### UHFSetEPCTIDMode

          public int UHFSetEPCTIDMode(char par)

    - #### UHFSetEPCUserMode

          public int UHFSetEPCUserMode(char par,
                                       int ptr,
                                       int len,
                                       int save)

    - #### UHFGetEPCTIDUSERMode

          public char[] UHFGetEPCTIDUSERMode()

    - #### UHFGetEPCTIDMode

          public char[] UHFGetEPCTIDMode()

    - #### UHFSetMode

          public int UHFSetMode(char mode)

    - #### UHFGetMode

          public byte[] UHFGetMode()

    - #### UHFInventoryBank

          public int UHFInventoryBank(char[] pszData,
                                      char bank,
                                      int ptr,
                                      int len)

    - #### GetTemperature

          public char[] GetTemperature()

    - #### CardBalance

          public byte[] CardBalance()

    - #### CardConsume

          public byte[] CardConsume(byte[] time,
                                    char[] money,
                                    java.lang.String path,
                                    int islog)

    - #### getPsamId

          public byte[] getPsamId()

    - #### CleanVar

          public void CleanVar()

    - #### CardConsumeConfirm

          public byte[] CardConsumeConfirm(byte[] timer,
                                           char[] carddealnum,
                                           char[] cardnum)

    - #### ISO14443A_BUS_CMD

          public char[] ISO14443A_BUS_CMD(char[] jtxtimebuf,
                                          char[] jtxuidbuf,
                                          int jtxuidnum,
                                          int jtxflag)

    - #### GetAccState

          public void GetAccState()

    - #### GetGen2

          public char[] GetGen2()

    - #### SetGen2

          public int SetGen2(char Target,
                             char Action,
                             char T,
                             char Q,
                             char StartQ,
                             char MinQ,
                             char MaxQ,
                             char D,
                             char C,
                             char P,
                             char Sel,
                             char Session,
                             char G,
                             char LF)

    - #### fips_encryption_decryption

          public byte[] fips_encryption_decryption(byte[] jinbuf,
                                                   int jdlen,
                                                   byte[] jkeybuf,
                                                   int keylen,
                                                   byte jmode)

    - #### fips_encryption_decryption_EX

          public byte[] fips_encryption_decryption_EX(byte[] jinbuf,
                                                      int jdlen,
                                                      byte[] jkeybuf,
                                                      int keylen,
                                                      byte jmode,
                                                      java.lang.Object mContext,
                                                      int type)

    - #### UHFJump2Boot

          public int UHFJump2Boot()

    - #### UHFToBoot

          public int UHFToBoot(int type)

    - #### UHFStartUpdate

          public int UHFStartUpdate()

    - #### UHFUpdating

          public int UHFUpdating(byte[] buff,
                                 int len)

    - #### UHFStopUpdate

          public int UHFStopUpdate()

    - #### UHFSetFastInventoryMode

          public int UHFSetFastInventoryMode(int on,
                                             int save,
                                             int type)

    - #### UHFGetFastInventoryMode

          public int UHFGetFastInventoryMode(int rev1,
                                             int rev2)

    - #### MorphoCapturePKComp

          public byte[] MorphoCapturePKComp(char processflag,
                                            char encryptflag)

    - #### MorphoVerifyPKComp

          public byte[] MorphoVerifyPKComp(char processflag,
                                           byte[] jfgbuf,
                                           int jfglen)

    - #### MorphoFingerInit

          public int MorphoFingerInit(java.lang.String device,
                                      java.lang.String uart,
                                      int baudrate)

    - #### MorphoFingerFree

          public int MorphoFingerFree(java.lang.String device)

    - #### MorphoFingerMessage

          public int MorphoFingerMessage()

    - #### MorphoGrab

          public int MorphoGrab(char var1,
                                java.lang.String imgName)

    - #### MorphoEnroll

          public int MorphoEnroll(char flag,
                                  char[] id,
                                  char[] name,
                                  java.lang.String lpFileName,
                                  int getImage)

    - #### MorphoLoadKs

          public int MorphoLoadKs(byte[] keybuf)

    - #### MorphoCapture

          public byte[] MorphoCapture(char flag,
                                      char encryptflag)

    - #### MorphoIdentify

          public byte[] MorphoIdentify(char flag)

    - #### MorphoCancel

          public int MorphoCancel()

    - #### MorphoEraseAllBase

          public int MorphoEraseAllBase()

    - #### MorphoGetSecurityLevel

          public int MorphoGetSecurityLevel()

    - #### MorphoSetSecurityLevel

          public int MorphoSetSecurityLevel(int level)

    - #### MorphoDescriptor

          public byte[] MorphoDescriptor()

    - #### MorphoPIDSN

          public byte[] MorphoPIDSN()

    - #### MorphoStop

          public int MorphoStop()

    - #### UHFDeactivate

          public int UHFDeactivate(int cmd,
                                   char[] pszuAccessPwd,
                                   char uBank,
                                   int uPtr,
                                   int cnt,
                                   char[] pszuUii)

    - #### UHFDwell

          public int UHFDwell(int dwell,
                              int count)

    - #### ModuleSendAndReceive

          public int ModuleSendAndReceive(byte[] send,
                                          int sendLen,
                                          byte[] outData,
                                          int outLen)

    - #### UHFReadData_Ex2

          public char[] UHFReadData_Ex2(char[] pszuAccessPwd,
                                        char ufBank,
                                        int ufPtr,
                                        int ufCnt,
                                        char[] ufData,
                                        char uBank,
                                        int uPtr,
                                        int uCnt)

    - #### UHFWriteData_Ex2

          public int UHFWriteData_Ex2(char[] pszuAccessPwd,
                                      char ufBank,
                                      int ufPtr,
                                      int ufCnt,
                                      char[] pszuDat,
                                      char uBank,
                                      int uPtr,
                                      int uCnt,
                                      char[] pszuWriteData)

    - #### UHFBlockWriteData

          public int UHFBlockWriteData(char[] pszuAccessPwd,
                                       char ufBank,
                                       int ufPtr,
                                       int ufCnt,
                                       char[] pszuDat,
                                       char uBank,
                                       int uPtr,
                                       int uCnt,
                                       char[] pszuWriteData)

    - #### UHFSetFilter_Ex

          public int UHFSetFilter_Ex(char flagstore,
                                     char bank,
                                     int ptr,
                                     int len,
                                     char[] pszData)

    - #### UHFLockMemEx

          public int UHFLockMemEx(char[] pszuAccessPwd,
                                  char bank,
                                  int ptr,
                                  int cnt,
                                  char[] pszuData,
                                  char[] pszuLockData)

    - #### PrinterInit

          public int PrinterInit(java.lang.String device,
                                 java.lang.String path,
                                 int baudrate,
                                 int module,
                                 int isUpgrade)

    - #### PrinterSerialPortOpen

          public int PrinterSerialPortOpen(java.lang.String device,
                                           java.lang.String path,
                                           int baudrate)

    - #### PrinterFree

          public int PrinterFree(java.lang.String device)

    - #### PrinterSend

          public int PrinterSend(byte[] jsend,
                                 int jsendLeng)

    - #### PrinterReceive

          public int PrinterReceive(byte[] joutData,
                                    int jsendLeng)

    - #### PrinterSendAndReceive

          public int PrinterSendAndReceive(byte[] sendjdata,
                                           int sendjlen,
                                           byte[] outjdata,
                                           int outjlen,
                                           int delayS)

    - #### UHFInventoryBID

          public int UHFInventoryBID(char flag0,
                                     char flag1)

    - #### UHFInventorySingle_tc

          public char[] UHFInventorySingle_tc(char mode)

    - #### UHFGetBID

          public char[] UHFGetBID()

    - #### UHFWriteQTData_Ex

          public int UHFWriteQTData_Ex(char[] pszuAccessPwd,
                                       char ufBank,
                                       int ufPtr,
                                       int ufCnt,
                                       char[] pszuDat,
                                       char uBank,
                                       int uPtr,
                                       int uCnt,
                                       char[] pszuWriteData)

    - #### UHFReadQTData_Ex

          public char[] UHFReadQTData_Ex(char[] pszuAccessPwd,
                                         char ufBank,
                                         int ufPtr,
                                         int ufCnt,
                                         char[] ufData,
                                         char uBank,
                                         int uPtr,
                                         char uCnt)

    - #### UHFSetCW

          public int UHFSetCW(char pszData)

    - #### UHFGetCW

          public char[] UHFGetCW()

    - #### UHFBTSetProtocolType

          public int UHFBTSetProtocolType(int type)

    - #### UHFBTUHFGetProtocolType

          public int UHFBTUHFGetProtocolType()

    - #### UHFBTUHFGBTagLock

          public int UHFBTUHFGBTagLock(char[] pszuAccessPwd,
                                       char bank,
                                       int ptr,
                                       int cnt,
                                       char[] pszuData,
                                       int memory,
                                       int config,
                                       int action)

    - #### UHFBTGetPower

          public int UHFBTGetPower()

    - #### UHFBTSetPower

          public int UHFBTSetPower(byte power)

    - #### UHFGetBTFrequency

          public int UHFGetBTFrequency()

    - #### UHFBTFreHopSet

          public int UHFBTFreHopSet(int fre)

    - #### UHFSetBTFrequency

          public int UHFSetBTFrequency(byte FreMode)

    - #### UHFBTR2000Version

          public int UHFBTR2000Version(byte[] outVersion)

    - #### UHFBTSTM32Version

          public int UHFBTSTM32Version(byte[] outVersion)

    - #### UHFBTStartInventory

          public int UHFBTStartInventory()

    - #### UHFBTStopInventory

          public int UHFBTStopInventory()

    - #### UHFBTGetTag

          public int UHFBTGetTag(byte[] data,
                                 int timeOut)

    - #### UHFBTGetSendCmd

          public int UHFBTGetSendCmd(byte[] cmd)

    - #### UHFBTReadData

          public char[] UHFBTReadData(char[] pszuAccessPwd,
                                      char ufBank,
                                      int ufPtr,
                                      int ufCnt,
                                      char[] ufData,
                                      char uBank,
                                      int uPtr,
                                      char uCnt)

    - #### UHFBTWriteData

          public int UHFBTWriteData(char[] pszuAccessPwd,
                                    char ufBank,
                                    int ufPtr,
                                    int ufCnt,
                                    char[] pszuDat,
                                    char uBank,
                                    int uPtr,
                                    int uCnt,
                                    char[] pszuWriteData)

    - #### UHFBTAuthentication

          public int UHFBTAuthentication(char[] pszuAccessPwd,
                                         char ufBank,
                                         int ufPtr,
                                         int ufCnt,
                                         char[] pszuDat,
                                         char uBank,
                                         int uPtr,
                                         int uCnt,
                                         char[] pszuWriteData,
                                         char[] rev)

    - #### UHFBTLockMemEx

          public int UHFBTLockMemEx(char[] pszuAccessPwd,
                                    char bank,
                                    int ptr,
                                    int cnt,
                                    char[] pszuData,
                                    char[] pszuLockData)

    - #### UHFBTReBootAPP

          public int UHFBTReBootAPP(char flag)

    - #### UHFBTStartUpdate

          public int UHFBTStartUpdate()

    - #### UHFBTUpdateData

          public int UHFBTUpdateData(byte[] pszuDate)

    - #### UHFBTEndUpdate

          public int UHFBTEndUpdate()

    - #### UHFSETSM4

          public int UHFSETSM4(char mode,
                               char[] pszkeydata,
                               char[] pszlvdata)

    - #### UHFGETSM4

          public int UHFGETSM4(byte[] mode,
                               byte[] keydata,
                               byte[] lvdata)

    - #### UHFDecryptSM4

          public int UHFDecryptSM4(char datalen,
                                   char[] pszdata,
                                   byte[] outdata)

    - #### UHFEncryptSM4

          public int UHFEncryptSM4(char datalen,
                                   char[] pszdata,
                                   byte[] outdata)

    - #### UHFBTKill

          public int UHFBTKill(char[] pszuAccessPwd,
                               char bank,
                               int ptr,
                               int cnt,
                               char[] pszuData)

    - #### UHFBTGetBattery

          public int UHFBTGetBattery()

    - #### UHFBTGetBarcode

          public int UHFBTGetBarcode(byte[] outdata)

    - #### UHFBTEncWriteUser

          public int UHFBTEncWriteUser(int jaddr,
                                       int jlen,
                                       byte[] jindata)

    - #### UHFBTEncReadUser

          public int UHFBTEncReadUser(int jaddr,
                                      int jlen,
                                      byte[] jdata)

    - #### ISO15693_GenericFunctionEx

          public char[] ISO15693_GenericFunctionEx(char jCommand,
                                                   char jIcMfg,
                                                   char[] jdatabuf,
                                                   char jdatalen)

    - #### EM4325SensorData

          public byte[] EM4325SensorData(char uBank,
                                         int uMSA,
                                         int uMDL,
                                         char[] pszuData)

    - #### UHFBTKeydataMac

          public int UHFBTKeydataMac(byte[] jkeydata,
                                     byte[] jmac)

    - #### UHFSetSM4

          public int UHFSetSM4(char mode,
                               byte[] jKeybuf,
                               byte[] jIVbuf)

    - #### UHFGetSM4

          public byte[] UHFGetSM4()

    - #### UHFEncSM4

          public byte[] UHFEncSM4(byte[] jDatabuf,
                                  int jDatalen)

    - #### UHFDecSM4

          public byte[] UHFDecSM4(byte[] jDatabuf,
                                  int jDatalen)

    - #### UHFEncUSER

          public int UHFEncUSER(int jaddr,
                                int jlen,
                                byte[] data)

    - #### UHFDecUSER

          public byte[] UHFDecUSER(int jaddr,
                                   int jlen)

    - #### UHFJump2BootSTM32

          public int UHFJump2BootSTM32()

    - #### UHFGetHwTypeM3

          public char[] UHFGetHwTypeM3()

    - #### UHFKillTagEx

          public int UHFKillTagEx(char[] pszuAccessPwd,
                                  char uBank,
                                  int uPtr,
                                  int uCnt,
                                  char[] pszuUii)

    - #### UHFGetTempProtectVal

          public char[] UHFGetTempProtectVal()

    - #### UHFSetTempProtectVal

          public int UHFSetTempProtectVal(char temp)

    - #### GetLastError

          public int GetLastError()

    - #### UHFSetANT

          public int UHFSetANT(int saveFlag,
                               char[] temp)

    - #### UHFLedOnOff

          public int UHFLedOnOff(java.lang.String device,
                                 int Id,
                                 int on)

    - #### UHFBlockPermalock_Ex

          public char[] UHFBlockPermalock_Ex(char[] uAccessPwd,
                                             char FilterBank,
                                             int FilterStartaddr,
                                             int FilterLen,
                                             char[] FilterData,
                                             char ReadLock,
                                             char uBank,
                                             int uPtr,
                                             char uRange,
                                             byte[] uMaskbuf)

    - #### UHFBTR2000Temperature

          public int UHFBTR2000Temperature(byte[] outTemper)

    - #### UHFBTSetBeep

          public int UHFBTSetBeep(byte flag)

    - #### UHFBTInventorySingle

          public int UHFBTInventorySingle(byte[] outData)

    - #### UHFBTSetEpcTidUserMode

          public int UHFBTSetEpcTidUserMode(int saveFlag,
                                            int memory,
                                            int address,
                                            int length)

    - #### UHFBTReadEpcTidUserMode

          public int UHFBTReadEpcTidUserMode(int rev1,
                                             int rev2,
                                             byte[] outData)

    - #### SpiInit

          public int SpiInit(java.lang.String device)

    - #### SpiFree

          public int SpiFree(java.lang.String device)

    - #### SpiWrite

          public int SpiWrite(byte[] sendData,
                              int len)

    - #### SpiRead

          public int SpiRead(byte[] OutData,
                             int len)

    - #### UHFBTGetAllTagNumFromFlash

          public int UHFBTGetAllTagNumFromFlash()

    - #### UHFBTDeleteAllTagToFlash

          public int UHFBTDeleteAllTagToFlash()

    - #### UHFBTGetTagDataFromFlash

          public int UHFBTGetTagDataFromFlash(byte[] outData)

    - #### UHFBTSetCW

          public int UHFBTSetCW(int flag)

    - #### UHFBTGetCW

          public int UHFBTGetCW()

    - #### EMFingerMoudleSet

          public int EMFingerMoudleSet(int type)

    - #### UHFBTEraseData

          public int UHFBTEraseData(char[] pszuAccessPwd,
                                    char filterBank,
                                    int filterPtr,
                                    char filterCnt,
                                    char[] filterData,
                                    char uBank,
                                    int uPtr,
                                    int uCnt)

    - #### UHFBTSetR6Workmode

          public int UHFBTSetR6Workmode(int mode)

    - #### UHFBTSetBeepRecvData

          public int UHFBTSetBeepRecvData(byte[] inData,
                                          int inLen)

    - #### UHFBTGetPowerValueRecvData

          public int UHFBTGetPowerValueRecvData(byte[] inData,
                                                int inLen)

    - #### UHFBTOpen2DRecvData

          public byte[] UHFBTOpen2DRecvData(byte[] inData,
                                            int inLen)

    - #### UHFSetPowerSendData

          public byte[] UHFSetPowerSendData(char saveflag,
                                            char uPower)

    - #### UHFSetPowerRecvData

          public int UHFSetPowerRecvData(byte[] inData,
                                         int inLen)

    - #### UHFGetPowerSendData

          public byte[] UHFGetPowerSendData()

    - #### UHFGetPowerRecvData

          public byte[] UHFGetPowerRecvData(byte[] inData,
                                            int inLen)

    - #### UHFInventorySingleSendData

          public byte[] UHFInventorySingleSendData()

    - #### UHFInventorySingleRecvData

          public byte[] UHFInventorySingleRecvData(byte[] inData,
                                                   int inLen)

    - #### UHFInventorySendData

          public byte[] UHFInventorySendData()

    - #### UHFInventoryRecvData

          public byte[] UHFInventoryRecvData(byte[] inData,
                                             int inLen)

    - #### UHFStopInventorySendData

          public byte[] UHFStopInventorySendData()

    - #### UHFStopInventoryRecvData

          public int UHFStopInventoryRecvData(byte[] inData,
                                              int inLen)

    - #### UHFGetTagsDataSendData

          public byte[] UHFGetTagsDataSendData()

    - #### UHFGetTagsDataRecvData

          public byte[] UHFGetTagsDataRecvData(byte[] inData,
                                               int inLen)

    - #### UHFReadDataSendData

          public byte[] UHFReadDataSendData(byte[] pszuAccessPwd,
                                            char ufBank,
                                            int ufPtr,
                                            int ufCnt,
                                            byte[] ufData,
                                            char uBank,
                                            int uPtr,
                                            char uCnt)

    - #### UHFReadDataRecvData

          public byte[] UHFReadDataRecvData(byte[] inData,
                                            int inLen)

    - #### UHFWriteDataSendData

          public byte[] UHFWriteDataSendData(byte[] pszuAccessPwd,
                                             char ufBank,
                                             int ufPtr,
                                             int ufCnt,
                                             byte[] ufData,
                                             char uBank,
                                             int uPtr,
                                             char uCnt,
                                             byte[] writeDatabuf)

    - #### UHFWriteDataRecvData

          public int UHFWriteDataRecvData(byte[] inData,
                                          int inLen)

    - #### UHFLockTagSendData

          public byte[] UHFLockTagSendData(byte[] pszuAccessPwd,
                                           char ufBank,
                                           int ufPtr,
                                           int ufCnt,
                                           byte[] ufData,
                                           byte[] ulockbuf)

    - #### UHFLockTagRecvData

          public int UHFLockTagRecvData(byte[] inData,
                                        int inLen)

    - #### UHFKillTagSendData

          public byte[] UHFKillTagSendData(byte[] pszuAccessPwd,
                                           char ufBank,
                                           int ufPtr,
                                           int ufCnt,
                                           byte[] ufData)

    - #### UHFKillTagRecvData

          public int UHFKillTagRecvData(byte[] inData,
                                        int inLen)

    - #### UHFSetRegionSendData

          public byte[] UHFSetRegionSendData(char saveflag,
                                             char region)

    - #### UHFSetRegionRecvData

          public int UHFSetRegionRecvData(byte[] inData,
                                          int inLen)

    - #### UHFGetRegionSendData

          public byte[] UHFGetRegionSendData()

    - #### UHFGetRegionRecvData

          public byte[] UHFGetRegionRecvData(byte[] inData,
                                             int inLen)

    - #### UHFGetSoftwareVersionSendData

          public byte[] UHFGetSoftwareVersionSendData()

    - #### UHFGetSoftwareVersionRecvData

          public byte[] UHFGetSoftwareVersionRecvData(byte[] inData,
                                                      int inLen)

    - #### UHFGetTemperatureSendData

          public byte[] UHFGetTemperatureSendData()

    - #### UHFGetTemperatureRecvData

          public byte[] UHFGetTemperatureRecvData(byte[] inData,
                                                  int inLen)

    - #### UHFUSBGetTagsDataRecvData

          public byte[] UHFUSBGetTagsDataRecvData(byte[] inData,
                                                  int inLen)

    - #### UHFSetJumpFrequencySendData

          public byte[] UHFSetJumpFrequencySendData(char nums,
                                                    int[] Freqbuf)

    - #### UHFSetJumpFrequencyRecvData

          public int UHFSetJumpFrequencyRecvData(byte[] inData,
                                                 int inLen)

    - #### UHFBTDeleteAllTagToFlashSendData

          public byte[] UHFBTDeleteAllTagToFlashSendData()

    - #### UHFBTDeleteAllTagToFlashRecvData

          public int UHFBTDeleteAllTagToFlashRecvData(byte[] inData,
                                                      int inLen)

    - #### UHFBTGetAllTagNumFromFlashSendData

          public byte[] UHFBTGetAllTagNumFromFlashSendData()

    - #### UHFBTGetAllTagNumFromFlashRecvData

          public int UHFBTGetAllTagNumFromFlashRecvData(byte[] inData,
                                                        int inLen)

    - #### UHFBTGetTagDataFromFlashSendData

          public byte[] UHFBTGetTagDataFromFlashSendData()

    - #### UHFBTGetTagDataFromFlashRecvData

          public byte[] UHFBTGetTagDataFromFlashRecvData(byte[] inData,
                                                         int inLen)

    - #### UHFSetCWSendData

          public byte[] UHFSetCWSendData(char flag)

    - #### UHFSetCWRecvData

          public int UHFSetCWRecvData(byte[] inData,
                                      int inLen)

    - #### UHFGetCWSendData

          public byte[] UHFGetCWSendData()

    - #### UHFGetCWRecvData

          public byte[] UHFGetCWRecvData(byte[] inData,
                                         int inLen)

    - #### UHFSetFilterSendData

          public byte[] UHFSetFilterSendData(char saveflag,
                                             char ufBank,
                                             int ufPtr,
                                             int datalen,
                                             byte[] databuf)

    - #### UHFSetFilterRecvData

          public int UHFSetFilterRecvData(byte[] inData,
                                          int inLen)

    - #### UHFGBTagLockSendData

          public byte[] UHFGBTagLockSendData(byte[] pszuAccessPwd,
                                             char ufBank,
                                             int ufPtr,
                                             int ufCnt,
                                             byte[] ufData,
                                             char jmemory,
                                             char jconfig,
                                             char jaction)

    - #### UHFGBTagLockRecvData

          public int UHFGBTagLockRecvData(byte[] inData,
                                          int inLen)

    - #### UHFBlockWriteDataSendData

          public byte[] UHFBlockWriteDataSendData(byte[] pszuAccessPwd,
                                                  char ufBank,
                                                  int ufPtr,
                                                  int ufCnt,
                                                  byte[] ufData,
                                                  char uBank,
                                                  int uPtr,
                                                  char uCnt,
                                                  byte[] writeDatabuf)

    - #### UHFBlockWriteDataRecvData

          public int UHFBlockWriteDataRecvData(byte[] inData,
                                               int inLen)

    - #### UHFBlockEraseDataSendData

          public byte[] UHFBlockEraseDataSendData(byte[] pszuAccessPwd,
                                                  char ufBank,
                                                  int ufPtr,
                                                  int ufCnt,
                                                  byte[] ufData,
                                                  char uBank,
                                                  int uPtr,
                                                  char uCnt)

    - #### UHFBlockEraseDataRecvData

          public int UHFBlockEraseDataRecvData(byte[] inData,
                                               int inLen)

    - #### UHFSetProtocolTypeSendData

          public byte[] UHFSetProtocolTypeSendData(char type)

    - #### UHFSetProtocolTypeRecvData

          public int UHFSetProtocolTypeRecvData(byte[] inData,
                                                int inLen)

    - #### UHFGetProtocolTypeSendData

          public byte[] UHFGetProtocolTypeSendData()

    - #### UHFGetProtocolTypeRecvData

          public byte[] UHFGetProtocolTypeRecvData(byte[] inData,
                                                   int inLen)

    - #### UHFSetGen2SendData

          public byte[] UHFSetGen2SendData(char Target,
                                           char Action,
                                           char T,
                                           char Q_Q,
                                           char StartQ,
                                           char MinQ,
                                           char MaxQ,
                                           char D_D,
                                           char C_C,
                                           char P_P,
                                           char Sel,
                                           char Session,
                                           char G_G,
                                           char LF)

    - #### UHFSetGen2RecvData

          public int UHFSetGen2RecvData(byte[] inData,
                                        int inLen)

    - #### UHFGetGen2SendData

          public byte[] UHFGetGen2SendData()

    - #### UHFGetGen2RecvData

          public byte[] UHFGetGen2RecvData(byte[] inData,
                                           int inLen)

    - #### UHFSetEPCTIDModeSendData

          public byte[] UHFSetEPCTIDModeSendData(char saveFlag,
                                                 char memory,
                                                 char address,
                                                 char length)

    - #### UHFSetEPCTIDModeRecvData

          public int UHFSetEPCTIDModeRecvData(byte[] inData,
                                              int inLen)

    - #### UHTSetR6WorkmodeSendData

          public byte[] UHTSetR6WorkmodeSendData(char flag)

    - #### UHTSetR6WorkmodeRecvData

          public int UHTSetR6WorkmodeRecvData(byte[] inData,
                                              int inLen)

    - #### UHFJump2BootSendData

          public byte[] UHFJump2BootSendData(char flag)

    - #### UHFJump2BootRecvData

          public int UHFJump2BootRecvData(byte[] inData,
                                          int inLen)

    - #### UHFStartUpdateSendData

          public byte[] UHFStartUpdateSendData()

    - #### UHFStartUpdateRecvData

          public int UHFStartUpdateRecvData(byte[] inData,
                                            int inLen)

    - #### UHFUpdatingSendData

          public byte[] UHFUpdatingSendData(byte[] buf)

    - #### UHFUpdatingRecvData

          public int UHFUpdatingRecvData(byte[] inData,
                                         int inLen)

    - #### UHFStopUpdateSendData

          public byte[] UHFStopUpdateSendData()

    - #### UHFStopUpdateRecvData

          public int UHFStopUpdateRecvData(byte[] inData,
                                           int inLen)

    - #### UHFGetEPCTIDModeSendData

          public byte[] UHFGetEPCTIDModeSendData(char rev1,
                                                 char rev2)

    - #### UHFGetEPCTIDModeRecvData

          public byte[] UHFGetEPCTIDModeRecvData(byte[] inData,
                                                 int inLen)

    - #### UHFGetSTM32VersionSendData

          public byte[] UHFGetSTM32VersionSendData()

    - #### UHFGetSTM32VersionRecvData

          public byte[] UHFGetSTM32VersionRecvData(byte[] inData,
                                                   int inLen)

    - #### UHFBTSetGen2

          public int UHFBTSetGen2(char Target,
                                  char Action,
                                  char T,
                                  char Q,
                                  char StartQ,
                                  char MinQ,
                                  char MaxQ,
                                  char D,
                                  char C,
                                  char P,
                                  char Sel,
                                  char Session,
                                  char G,
                                  char LF)

    - #### UHFBTGetGen2

          public int UHFBTGetGen2(byte[] outData)

    - #### UsbToHost

          public int UsbToHost(java.lang.String device)

    - #### UsbToFingerprint

          public int UsbToFingerprint(java.lang.String device)

    - #### FingerprintSwitchUsb

          public int FingerprintSwitchUsb(java.lang.String device)

    - #### FingerprintSwitchUart

          public int FingerprintSwitchUart(java.lang.String device)

    - #### A8UhfOutput4Off

          public int A8UhfOutput4Off(java.lang.String device)

    - #### A8UhfOutput4On

          public int A8UhfOutput4On(java.lang.String device)

    - #### A8UhfOutput3Off

          public int A8UhfOutput3Off(java.lang.String device)

    - #### A8UhfOutput3On

          public int A8UhfOutput3On(java.lang.String device)

    - #### DAJFingerInit

          public int DAJFingerInit(java.lang.String device,
                                   java.lang.String uart,
                                   int baudrate)

    - #### DAJFingerFree

          public int DAJFingerFree(java.lang.String device)

    - #### DAJfingerGETInfo

          public char[] DAJfingerGETInfo()

    - #### DAJfingerGETImage

          public int DAJfingerGETImage()

    - #### DAJfingerStoreChar

          public int DAJfingerStoreChar(char flag,
                                        char[] pBufferIDFlashPageID)

    - #### DAJfingerUPTemplate

          public char[] DAJfingerUPTemplate(char flag,
                                            char[] pBufferIDFlashPageID)

    - #### DAJfingerDOWNTemplate

          public int DAJfingerDOWNTemplate(char flag,
                                           char[] pBufferIDFlashPageID,
                                           char[] templateData)

    - #### DAJfingerPKTemplate

          public int DAJfingerPKTemplate(char flagA,
                                         char[] pBufferIDFlashPageIDA,
                                         char flagB,
                                         char[] pBufferIDFlashPageIDB)

    - #### DAJfingerSearchTemplate

          public char[] DAJfingerSearchTemplate(char[] ramBufferId,
                                                char[] templateIdStart,
                                                char[] templateIdEnd)

    - #### DAJfingerDELTemplate

          public int DAJfingerDELTemplate(char flag,
                                          char[] pBufferIDFlashPageID)

    - #### DAJfingerCLEARTemplate

          public int DAJfingerCLEARTemplate()

    - #### DAJfingerGETTemplateCount

          public int DAJfingerGETTemplateCount()

    - #### DAJfingerCLEARTemplateBuffer

          public int DAJfingerCLEARTemplateBuffer()

    - #### DAJfingerUPImage

          public int DAJfingerUPImage(byte part,
                                      byte[] img_buf)

    - #### DAJfingerUPImageProgress

          public int DAJfingerUPImageProgress()

    - #### DAJfingerCancelUPImage

          public void DAJfingerCancelUPImage()

    - #### UHFSetSleepTimeSendData

          public byte[] UHFSetSleepTimeSendData(char uTime)

    - #### UHFSetSleepTimeRecvData

          public int UHFSetSleepTimeRecvData(byte[] inData,
                                             int inLen)

    - #### UHFGetSleepTimeSendData

          public byte[] UHFGetSleepTimeSendData()

    - #### UHFGetSleepTimeRecvData

          public byte[] UHFGetSleepTimeRecvData(byte[] inData,
                                                int inLen)

    - #### UHFSetTagfocusSendData

          public byte[] UHFSetTagfocusSendData(char flag)

    - #### UHFSetTagfocusRecvData

          public int UHFSetTagfocusRecvData(byte[] inData,
                                            int inLen)

    - #### UHFGetTagfocusSendData

          public byte[] UHFGetTagfocusSendData()

    - #### UHFGetTagfocusRecvData

          public byte[] UHFGetTagfocusRecvData(byte[] inData,
                                               int inLen)

    - #### UHFGetSensorCode

          public char[] UHFGetSensorCode(char[] epc,
                                         char antNum,
                                         char[] powerValue)

      zjx 20191127 温度标签增加通讯命令 -------- start --------

    - #### UHFGetCalibrationData

          public char[] UHFGetCalibrationData(char[] epc,
                                              char antNum,
                                              char[] powerValue)

    - #### UHFGetOnChipRSSI

          public char[] UHFGetOnChipRSSI(char[] epc,
                                         char antNum,
                                         char[] powerValue)

    - #### UHFGetTempertureCode

          public char[] UHFGetTempertureCode(char[] epc,
                                             char antNum,
                                             char[] powerValue)

    - #### UHFGetOnChipRSSIAndTempCode

          public char[] UHFGetOnChipRSSIAndTempCode(char[] epc,
                                                    char antNum,
                                                    char[] powerValue)

    - #### UHFInventoryTempTag

          public int UHFInventoryTempTag(char antNum,
                                         char[] powerValue)

    - #### UHFGetTempTagReceived

          public int UHFGetTempTagReceived(char[] outData)

    - #### UHFWriteCalibrationData

          public int UHFWriteCalibrationData(char[] epc,
                                             char antNum,
                                             char[] powerValue,
                                             char[] data)

    - #### UHFInventoryTempTag2

          public int UHFInventoryTempTag2(char antNum,
                                          char[] powerValue)

    - #### UHFGetTempTagReceived2

          public int UHFGetTempTagReceived2(char[] outData)

    - #### UHFSetEPCTIDUSERAddrLength

          public int UHFSetEPCTIDUSERAddrLength(char mode,
                                                char TID_addr,
                                                char TID_length,
                                                char USER_addr,
                                                char USER_length)

      功能：设置EPC+TID+USER 区地址和长度 输入：mode 盘点模式： 0x00为盘点EPC； 0x01为盘点EPC+TID； 0x02为EPC+TID+USER TID_addr TID地址：盘点TID的起始地址，单位word（2 Byte），模式为0x01时有效 TID_length TID长度：盘点TID的长度，单位word（2 Byte），模式为0x01时有效 USER_addr USER地址：盘点USER区的起始地址，单位word（2 Byte），模式为0x02时有效 USER_length USER长度：盘点USER区的长度，单位word（2 Byte），模式为0x02时有效

    - #### UHFGetEPCTIDUSERAddrLength

          public char[] UHFGetEPCTIDUSERAddrLength()

      功能：设置EPC+TID+USER 区地址和长度 输出： char[0] : 状态，0成功 char[1] : 数据长度，5 char[2] 盘点模式： 0x00为盘点EPC； 0x01为盘点EPC+TID； 0x02为EPC+TID+USER char[3] TID地址：盘点TID的起始地址，单位word（2 Byte），模式为0x01时有效 char[4] TID长度：盘点TID的长度，单位word（2 Byte），模式为0x01时有效 char[5] USER地址：盘点USER区的起始地址，单位word（2 Byte），模式为0x02时有效 char[6] USER长度：盘点USER区的长度，单位word（2 Byte），模式为0x02时有效

    - #### UHFSetInventoryMode

          public int UHFSetInventoryMode(int save,
                                         int jpw,
                                         int sector,
                                         int startAddr,
                                         int length,
                                         int sector2,
                                         int startAddr2,
                                         int length2)

    - #### UHFSetSoftResetSendData

          public byte[] UHFSetSoftResetSendData()

      20200519 begin

    - #### UHFSetSoftResetRecvData

          public int UHFSetSoftResetRecvData(byte[] inData,
                                             int inLen)

    - #### UHFSetReaderBeepSendData

          public byte[] UHFSetReaderBeepSendData(char mode)

    - #### UHFSetReaderBeepRecvData

          public int UHFSetReaderBeepRecvData(byte[] inData,
                                              int inLen)

    - #### UHFGetReaderBeepSendData

          public byte[] UHFGetReaderBeepSendData()

    - #### UHFGetReaderBeepRecvData

          public int UHFGetReaderBeepRecvData(byte[] inData,
                                              int inLen)

    - #### UHFSetIpSendData

          public byte[] UHFSetIpSendData(byte[] ipbuf,
                                         byte[] postbuf)

    - #### UHFSetIpRecvData

          public int UHFSetIpRecvData(byte[] inData,
                                      int inLen)

    - #### UHFGetIpSendData

          public byte[] UHFGetIpSendData()

    - #### UHFGetIpRecvData

          public byte[] UHFGetIpRecvData(byte[] inData,
                                         int inLen)

    - #### UHFTCPTagsDataParseRecvData

          public byte[] UHFTCPTagsDataParseRecvData(byte[] inData,
                                                    int len)

    - #### UHFSetANTSendData

          public byte[] UHFSetANTSendData(char saveflag,
                                          byte[] buf,
                                          int bufLen)

      功能：天线设置 输入：saveflag -- 1:掉电保存， 0：不保存 输入：buf--2bytes, 共16bits, 每bit 置1选择对应天线

    - #### UHFSetANTRecvData

          public int UHFSetANTRecvData(byte[] inData,
                                       int inLen)

    - #### UHFGetANTSendData

          public byte[] UHFGetANTSendData()

      功能：获取天线设置 输出：buf--2bytes, 共16bits,

    - #### UHFGetANTRecvData

          public byte[] UHFGetANTRecvData(byte[] inData,
                                          int inLen)

    - #### UHFSetIp

          public int UHFSetIp(byte[] ipbuf,
                              int port,
                              byte[] mask,
                              byte[] gate)

    - #### UHFGetIp

          public int UHFGetIp(byte[] ipbuf,
                              int[] port,
                              byte[] mask,
                              byte[] gate)

    - #### UHFSetDestIp

          public int UHFSetDestIp(byte[] ipbuf,
                                  int port)

    - #### UHFGetDestIP

          public int UHFGetDestIP(byte[] ipbuf,
                                  int[] port)

    - #### UHFSetBeep

          public int UHFSetBeep(int mode)

    - #### FactoryReset

          public int FactoryReset()

    - #### UHFGetBeep

          public int UHFGetBeep()

    - #### UHFSetSoftReset

          public int UHFSetSoftReset()

      功能：设置软件复位

    - #### UHFSetANTWorkTime

          public int UHFSetANTWorkTime(byte antnum,
                                       byte saveflag,
                                       int WorkTime)

      功能：设置天线工作时间 输入：antnum -- 天线号 输入：saveflag -- 1:掉电保存， 0：不保存 输入：WorkTime -- 工作时间 ，单位ms, 范围 10-65535ms 返回：0：设置成功 -1：设置失败

    - #### UHFGetANTWorkTime

          public int UHFGetANTWorkTime(byte antnum,
                                       int[] WorkTime)

      功能：获取天线工作时间 输入：antnum -- 天线号 输出：WorkTime -- 工作时间 ，单位ms, 范围 10-65535ms 返回：0：获取成功 -1：获取失败

    - #### UHFSetANT

          public int UHFSetANT(byte saveflag,
                               byte[] buf)

      功能：天线设置 输入：saveflag -- 1:掉电保存， 0：不保存 输入：buf--2bytes, 共16bits, 每bit 置1选择对应天线

    - #### UHFGetANTConnectState

          public int UHFGetANTConnectState(byte[] buf)

      功能：获取天线设置 输出：buf--2bytes, 共16bits,

    - #### UHFGetANTState

          public int UHFGetANTState(byte[] arrAnt)

    - #### UHFSetWorkMode

          public int UHFSetWorkMode(byte mode)

    - #### UHFSetTriggerWorkModePara

          public int UHFSetTriggerWorkModePara(byte input,
                                               int workTime,
                                               int waitTime,
                                               byte receiveMode)

    - #### UHFGetTriggerWorkModePara

          public int UHFGetTriggerWorkModePara(byte[] input,
                                               int[] workTime,
                                               int[] waitTime,
                                               byte[] receiveMode)

    - #### UHFGetWorkMode

          public int UHFGetWorkMode()

    - #### UHFSetIOControl

          public int UHFSetIOControl(byte output1,
                                     byte output2,
                                     byte outStatus)

      功能：继电器和 IO 控制输出设置 输入：output1: 0:低电平 1：高电平 output2: 0:低电平 1：高电平 outStatus： 0：断开 1：闭合 返回值：0：设置成功 -1：设置失败

    - #### UHFGetIoControl

          public int UHFGetIoControl(byte[] out)

      功能：获取继电器和 IO 控制输出设置状态 返回值：null -- 执行失败 data：2字节，output1: 0:低电平 1：高电平 output2: 0:低电平 1：高电平

    - #### A4OptoCoupler3On

          public int A4OptoCoupler3On(java.lang.String device)

    - #### A4OptoCoupler3Off

          public int A4OptoCoupler3Off(java.lang.String device)

    - #### A4OptoCoupler4On

          public int A4OptoCoupler4On(java.lang.String device)

    - #### A4OptoCoupler4Off

          public int A4OptoCoupler4Off(java.lang.String device)

    - #### A4WgData0On

          public int A4WgData0On(java.lang.String device)

    - #### A4WgData0Off

          public int A4WgData0Off(java.lang.String device)

    - #### A4WgData1Off

          public int A4WgData1Off(java.lang.String device)

    - #### A4WgData1On

          public int A4WgData1On(java.lang.String device)

    - #### UHFSetANTPower

          public int UHFSetANTPower(int saveflag,
                                    byte num,
                                    int read_power,
                                    int write_power)

    - #### UHFGetANTPower

          public int UHFGetANTPower(byte[] jcapower,
                                    int[] jiareturned)

    - #### UHFWriteScreenBlock

          public int UHFWriteScreenBlock(byte[] jpwd,
                                         byte jsector,
                                         int jmaskAddr,
                                         int jmaskLen,
                                         byte[] jmaskData,
                                         byte jtype,
                                         int jwriteAddr,
                                         int jwriteLen,
                                         byte[] jwData)

    - #### UHFInitRegFile

          public int UHFInitRegFile(int mask_bank,
                                    int mask_addr,
                                    int mask_len,
                                    byte[] mask_data)

    - #### UHFReadTagTemp

          public int UHFReadTagTemp(int mask_bank,
                                    int mask_addr,
                                    int mask_len,
                                    byte[] mask_data,
                                    float[] readTemp)

    - #### UHFStartLogging

          public int UHFStartLogging(int mask_bank,
                                     int mask_addr,
                                     int mask_len,
                                     byte[] mask_data,
                                     float min_temp,
                                     float max_temp,
                                     int work_delay,
                                     int work_interval)

    - #### UHFStopLogging

          public int UHFStopLogging(int mask_bank,
                                    int mask_addr,
                                    int mask_len,
                                    byte[] mask_data,
                                    long password)

    - #### UHFCheckOpMode

          public int UHFCheckOpMode(int mask_bank,
                                    int mask_addr,
                                    int mask_len,
                                    byte[] mask_data)

    - #### UHFReadMultiTemp

          public int UHFReadMultiTemp(int jmbank,
                                      int jmaddr,
                                      int jmlen,
                                      byte[] jmdata,
                                      int jstart,
                                      int jnum,
                                      int[] jtotalnum,
                                      int[] jreturned,
                                      float[] jtemp)

    - #### UHFReadTagVoltage

          public int UHFReadTagVoltage(int jmbank,
                                       int jmaddr,
                                       int jmlen,
                                       byte[] jmdata,
                                       float[] jvoltage)

    - #### HardwareInit

          public int HardwareInit(java.lang.String device,
                                  int module,
                                  java.lang.String path,
                                  int baudrate,
                                  int databits,
                                  int stopbits,
                                  int check)

    - #### HardwareFree

          public int HardwareFree(java.lang.String device,
                                  int module)

    - #### HardwareSerailOpen

          public int HardwareSerailOpen(java.lang.String jpath,
                                        int baudrate,
                                        int databits,
                                        int stopbits,
                                        int check)

    - #### HardwareSerailClose

          public int HardwareSerailClose(int uart_fd)

    - #### HardwareSerailSend

          public int HardwareSerailSend(int uart_fd,
                                        byte[] jdata,
                                        int jlen)

    - #### HardwareSerailReceive

          public int HardwareSerailReceive(int uart_fd,
                                           byte[] joutbuf,
                                           int outbuffLen)

    - #### HardwareSerailSendAndReceive

          public int HardwareSerailSendAndReceive(int uart_fd,
                                                  byte[] sendjdata,
                                                  int sendjlen,
                                                  byte[] outjdata,
                                                  int outjlen)

    - #### UHFVerifyVoltage

          public byte[] UHFVerifyVoltage()

    - #### UHFAuthenticateCommon

          public byte[] UHFAuthenticateCommon(int password,
                                              int bank,
                                              int addr,
                                              byte[] jmData,
                                              int mDataBitsLen,
                                              int jkeyId,
                                              byte[] jtData)

    - #### Save24bitFingerprintPicture

          public int Save24bitFingerprintPicture(java.lang.String jpath,
                                                 int img_width,
                                                 int img_height,
                                                 byte[] jRawBuff,
                                                 int jRawBuffLen)

    - #### zk206BInit

          public int zk206BInit(java.lang.String device,
                                java.lang.String path,
                                int baudrate)

    - #### zk206BFree

          public int zk206BFree(java.lang.String device)

    - #### zkGetDeviceInfo

          public int zkGetDeviceInfo(byte[] info,
                                     int[] jinfoLen)

    - #### zkSearch

          public int zkSearch(byte[] juserinfo,
                              int[] jinfoLen,
                              int timeOut)

    - #### zkDownMBLib

          public int zkDownMBLib(int jaddr,
                                 byte[] jmb,
                                 int jmbLen)

    - #### zkWriteMBFlash

          public int zkWriteMBFlash()

    - #### zkUploadSN

          public int zkUploadSN(byte[] jsnr,
                                int[] jsnrLen)

    - #### zkClearMB

          public int zkClearMB()

    - #### zkGetMBLibCounter

          public int zkGetMBLibCounter(int[] jcount)

    - #### zkRegisterFinger

          public int zkRegisterFinger(byte[] jfchar,
                                      int[] jfcharLen,
                                      int jtimeout)

    - #### zkGetFinger

          public int zkGetFinger(byte[] jfchar,
                                 int[] jcharLen,
                                 int jtimeout)

    - #### zkUploadImage

          public int zkUploadImage(byte[] jimg,
                                   int[] jimgLen,
                                   int jtimeout)

    - #### getSN

          public int getSN(byte[] data)